commit 165457d6b5ea4079aaa044304b6acfd43746f9fe
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 24 14:30:13 2014 +0100

    3.10.2

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit bf46bad85e9605afbc63c06ea6bf43018af1ed2c
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Wed Mar 19 22:34:32 2014 +0100

    Updated Danish translation

 po/da.po | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit d2002159280ad96dc23882f6143294d14d2f481d
Author: Tiagosdot <almosthumane@portugalmail.pt>
Date:   Tue Mar 11 16:06:12 2014 +0000

    Updated Portuguese translation

 po/pt.po | 40 +++++++++++++++++++++++-----------------
 1 file changed, 23 insertions(+), 17 deletions(-)

commit 40608ba003d46abd7eb2a20a302ed2fb12471a19
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Mon Mar 10 11:35:55 2014 +0400

    Updated Russian translation

 po/ru.po | 38 +++++++++++++++++++++++---------------
 1 file changed, 23 insertions(+), 15 deletions(-)

commit bfd595ed2b38cbc9b679b078384ce2c4fc7a6d7f
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Sun Mar 9 11:53:38 2014 +0100

    [l10n] Updated Italian translation.

 po/it.po | 37 ++++++++++++++++++++++---------------
 1 file changed, 22 insertions(+), 15 deletions(-)

commit 6af66a7294754feb3eb0735ebfc6806c6a5036e7
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Mar 8 02:57:58 2014 +0900

    Updated Korean translation

 po/ko.po | 29 ++++++++++++++++-------------
 1 file changed, 16 insertions(+), 13 deletions(-)

commit a196bf977b02be2e0b97095d0d091936a708f348
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Mar 7 14:18:02 2014 +0100

    Updated French translation

 po/fr.po | 27 +++++++++++++++++----------
 1 file changed, 17 insertions(+), 10 deletions(-)

commit c3e729df1fce1878fb82721758c6fc1d4118e590
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Fri Mar 7 13:55:19 2014 +0200

    Updated Latvian translation

 po/lv.po | 33 +++++++++++++++++++--------------
 1 file changed, 19 insertions(+), 14 deletions(-)

commit d38f8afc49bd5b8c1daa6dac976f606c84340b4d
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Mar 6 12:06:04 2014 +0100

    Updated Friulian translation

 po/fur.po | 29 +++++++++++++++++------------
 1 file changed, 17 insertions(+), 12 deletions(-)

commit eefd562c63748b1ed1a337805b6946b3a0f28615
Author: Ting-Wei Lan <lantw44@gmail.com>
Date:   Thu Feb 13 21:22:28 2014 +0800

    Call AC_USE_SYSTEM_EXTENSIONS after AM_INIT_AUTOMAKE
    
    https://bugzilla.gnome.org/show_bug.cgi?id=724288

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c53521bbbf70c290c91fd65b7f91b9b807a4f879
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Sat Mar 1 20:18:55 2014 +0200

    Finnish translation update by Jiri Grönroos

 po/fi.po | 33 +++++++++++++++++++++------------
 1 file changed, 21 insertions(+), 12 deletions(-)

commit 94ee3bd7b4cd86b52a806ded2d5e9b02349f9192
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Fri Feb 28 20:04:34 2014 +0100

    Updated Hungarian translation

 po/hu.po | 32 ++++++++++++++++++++------------
 1 file changed, 20 insertions(+), 12 deletions(-)

commit 14991cecf33468027236a661ddc93464c70f673e
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Feb 22 18:54:59 2014 +0100

    [l10n] Update Catalan translation

 po/ca.po | 2267 +-------------------------------------------------------------
 1 file changed, 19 insertions(+), 2248 deletions(-)

commit 5ebecbfa2fdac3bf70f1778ef610e37b9a0a3c09
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 18 17:03:08 2014 +0100

    3.10.1

 NEWS         | 7 +++++++
 configure.ac | 4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 7dcf0f69d38c8f54ea277237781f74d9fb43e333
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 18 17:04:33 2014 +0100

    plparse: Fix obsolete gtk-doc syntax

 plparse/xplayer-pl-parser.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cc1b6232f371195af0f2c5216c4b8179c64128b7
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Feb 7 00:19:30 2014 +0100

    Updated Galician translations

 po/gl.po | 35 +++++++++++++++++++----------------
 1 file changed, 19 insertions(+), 16 deletions(-)

commit 6deab3d62d4d2e314440abf4e232b8389e7f2713
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Feb 6 20:27:05 2014 +0100

    Added Slovenian translation

 po/sl.po | 129 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 67 insertions(+), 62 deletions(-)

commit 989a38beafbe5f66391c07f0579f7b7bee58d57b
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   Wed Feb 5 10:47:40 2014 +0000

    Updated Scottish Gaelic translation

 po/gd.po | 38 ++++++++++++++++++++++----------------
 1 file changed, 22 insertions(+), 16 deletions(-)

commit 59721aab76c906b3af4fbaa10a31771e1dca96ec
Author: David Lüder <davidl-dev@gmx-topmail.de>
Date:   Tue Feb 4 22:35:41 2014 +0100

    Updated German translation

 po/de.po | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)

commit ef6677b6c7c004d582254502f015948b78e3e377
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Feb 3 18:02:33 2014 +0100

    Updated Serbian translation

 po/sr.po       | 58 +++++++++++++++++++++++++++++-----------------------------
 po/sr@latin.po | 58 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 58 insertions(+), 58 deletions(-)

commit e9c74e1ac7c9519da9decf8b18b9c51d44da428c
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Feb 1 12:49:12 2014 +0000

    Updated Indonesian translation

 po/id.po | 32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

commit f6c7e5e9a97e94fc0ac99ae7e3b1808e1dc07b48
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Sat Feb 1 11:14:54 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 32 ++++++++++++++++++++------------
 1 file changed, 20 insertions(+), 12 deletions(-)

commit 4fff5ca097845127cc714ed8a5ccff16c5f3acf3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 28 14:52:27 2014 +0100

    videosite: Print non-ASCII characters correctly

 plparse/videosite-parser.c | 4 ++++
 1 file changed, 4 insertions(+)

commit e2a91def468d9989550fcc57b80d73b1da628b22
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Tue Jan 28 20:32:39 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 36 ++++++++++++++++++++++--------------
 po/zh_TW.po | 36 ++++++++++++++++++++++--------------
 2 files changed, 44 insertions(+), 28 deletions(-)

commit 4f7b519cc453811fa14e0b9b2af22d29b3523df9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 26 01:43:10 2014 +0100

    plparse: Add image URLs from RSS feeds
    
    Will give us thumbnails for:
    http://www.theguardian.com/video/rss

 plparse/xplayer-pl-parser-podcast.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit cf9653fdaf107aad2f90530ff0848a01c9003c8d
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sun Jan 26 05:48:22 2014 +0200

    Updated Hebrew translation
    
    Signed-off-by: Yosef Or Boczko <yoseforb@src.gnome.org>

 po/he.po | 33 ++++++++++++++++++++-------------
 1 file changed, 20 insertions(+), 13 deletions(-)

commit 57bb1290b4195669604fb9f32d2c5a71669bd7ce
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Jan 25 22:33:02 2014 +0100

    Updated Czech translation

 po/cs.po | 31 ++++++++++++++++++++-----------
 1 file changed, 20 insertions(+), 11 deletions(-)

commit d5918aaf3c4c1e96de88201a30ecf7287753c7ae
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Jan 25 22:12:44 2014 +0200

    Updated Lithuanian translation

 po/lt.po | 1517 +-------------------------------------------------------------
 1 file changed, 21 insertions(+), 1496 deletions(-)

commit 4a6361ce9fbba4c54ad0b8847f6ec489222d7c53
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Fri Jan 24 21:52:16 2014 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 29 +++++++++++++++++------------
 1 file changed, 17 insertions(+), 12 deletions(-)

commit e68bb1dd7cda72a6597df4b6ec7e19b085c6b474
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   Wed Jan 22 21:23:49 2014 +0100

    Added Scottish Gaelic translation

 po/LINGUAS |  1 +
 po/gd.po   | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

commit df54972cf796d1cbc284a6d10f8ea74f3fc52b50
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Wed Jan 22 21:42:31 2014 +0500

    Tajik translation updated

 po/tg.po | 30 +++++++++++++++++-------------
 1 file changed, 17 insertions(+), 13 deletions(-)

commit 6d3f15be95f114db4066a0d2dcc832d2da33d2ce
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Jan 22 11:11:22 2014 +0100

    Updated Spanish translation

 po/es.po | 34 +++++++++++++++++++++-------------
 1 file changed, 21 insertions(+), 13 deletions(-)

commit 974046336fc9361164913e2600495bae8939d261
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jan 21 21:38:32 2014 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit 7dd6d2f6ae3f7f6d4c96db15a88a15e81b61d3c6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Jan 21 19:25:05 2014 +0100

    Updated Polish translation

 po/pl.po | 28 ++++++++++++++++------------
 1 file changed, 16 insertions(+), 12 deletions(-)

commit 644a67e438c0d7d4f1a0159fc6c36ac17ad38d60
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 21 18:47:10 2014 +0100

    Update project URL
    
    Xplayer's homepage moved.

 xplayer-pl-parser.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ea7afe2b6d403e8c5abdc3e4541adfd665301f2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 21 18:45:19 2014 +0100

    disc: Add support for detecting Blu-ray discs

 plparse/xplayer-disc.c | 45 ++++++++++++++++++++++++++++++++++++++++++---
 plparse/xplayer-disc.h |  4 +++-
 2 files changed, 45 insertions(+), 4 deletions(-)

commit 74d1ab52597c4776b231834e33363f2dccf94b1c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 23 20:22:12 2013 -0600

    build: don't distribute xplayer-pl-parser-builtins.[ch]
    
    These are unconditionally generated at build time, and are also listed
    in CLEANFILES.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=715093

 plparse/Makefile.am | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 39e8e3d5e4f83a290415a5596b88f4739e3fb18d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 23 19:59:30 2013 -0600

    build: fix a race
    
    xplayer-pl-parser-builtins.h was not generated before compiling its dependencies
    
    https://bugzilla.gnome.org/show_bug.cgi?id=715093

 plparse/Makefile.am | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit e3ba8a90fed04ec41a2c52e80d5422787ff6fdf1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Oct 6 14:37:03 2013 +0200

    plparse: Fix possible crash in iTunes Podcast parsing
    
    Check the return value of xplayer_pl_parser_load_http_itunes()
    to avoid possible crash.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709296

 plparse/xplayer-pl-parser-podcast.c | 25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

commit 2bd6b00ae187ec5adbe1bd2c9d0a662d00cbd51f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 23 08:46:53 2013 +0200

    plparse: Use hashtables in place of lists
    
    This should make lookups faster.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673587

 plparse/xplayer-pl-parser.c | 61 +++++++++++++----------------------------------
 1 file changed, 17 insertions(+), 44 deletions(-)

commit 825e9a64beea735191e5c99aec266aa4c2b77aaf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 23 08:56:19 2013 +0200

    3.10.0

 NEWS         | 3 +++
 configure.ac | 4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit d35e1d33faa4e94c25227f27925de3844a116291
Author: Arnel A. Borja <arnelborja@src.gnome.org>
Date:   Sat Sep 7 00:16:09 2013 +0800

    plparse: Add missing direction annotations to XplayerPlPlaylist
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707642

 plparse/xplayer-pl-playlist.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 56f9ffaef28286eab41420ca6c4b7ae2e4613e75
Author: Arnel A. Borja <arnelborja@src.gnome.org>
Date:   Sat Sep 7 00:12:05 2013 +0800

    build: Add xplayer-pl-playlist.c to plparser_sources
    
    The source file xplayer-pl-playlist.c is not being parsed by g-ir-scanner
    because it is missing in instrospection_sources. This will implicitly
    add it to that variable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=707642

 plparse/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0d405f4c57b2114ed8ce5377a74d6d96595a03b5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 18 15:03:29 2013 +0200

    3.9.92

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 57f9e3910e1c7e4b8f74371e9fae4b4f7902bd81
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 24 04:36:22 2013 +0200

    build: Don't link xplayer-pl-parser to libquvi
    
    We're not using it in the main library, and the license is
    incompatible with our own.

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit deec38404a9a77b70ca426682179f5170e17a481
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 24 04:25:57 2013 +0200

    build: xplayer-pl-parser-mini doesn't need QUVI
    
    It will call out to the quvi helper instead.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eae25aeaaf5482678b387477f572c4330c0ec0e3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 24 04:27:28 2013 +0200

    build: Bump soname after xplayer-disc API removal

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f44b309d37a96536d42303cde580a8a91adb4365
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 24 03:18:52 2013 +0200

    plparse: Remove xplayer-disc from the public API
    
    It's ugly, with no async APIs, and plenty of gross stuff
    that we need to hide.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673589

 docs/reference/Makefile.am                  |  1 +
 docs/reference/xplayer-pl-parser-docs.xml     |  1 -
 docs/reference/xplayer-pl-parser-sections.txt | 19 -------------------
 plparse/Makefile.am                         |  7 +++----
 4 files changed, 4 insertions(+), 24 deletions(-)

commit 015fff22f79b5e7d25c1f1db4898cea1e23d882b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Aug 2 16:34:05 2013 +0200

    3.9.5

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 7bb2a2ac6dfd66323c6f88d468d35ff4dafc44f2
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jul 16 14:53:33 2013 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 193b75f63167ce34fe0c79dfc524d8c6d658aba5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Jul 13 11:22:39 2013 +0200

    build: Build a .tar.xz dist by default

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f57dccd64c1b829f70b44448c07ca52421c284b1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Jul 13 11:14:04 2013 +0200

    plparse: Fix small memleaks in XSPF parser

 plparse/xplayer-pl-parser-xspf.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0c5f3d3e91372dda5649ccb0ab9e84da1a1bf23b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jul 1 15:49:32 2013 +0200

    lib: Fix deprecated explicit proxy support
    
    It's now built into libsoup and used as required.

 configure.ac                      | 3 ++-
 plparse/xplayer-pl-parser-podcast.c | 3 +--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 600100b25474f5af29514501f8995aa69cf2b89a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 21 18:50:08 2013 +0200

    disc: Don't parse anything but ISOs as ISOs
    
    If we encountered a non-ISO9660 image masquerading as one,
    but in a format supported by libarchive, we would have ended
    up tagging it as a DVD without being able to read it later on.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702828

 plparse/xplayer-disc.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit ee6a083d628b4176a6c3895fc9ec03f974737dd6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 21 18:40:00 2013 +0200

    disc: Update for libarchive 3.0
    
    Get rid of a few deprecated functions. They will still work until
    libarchive 4.0 is out.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=702828

 configure.ac         | 2 +-
 plparse/xplayer-disc.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 24970018abfcedcaa4965e1f0f987aaf63323f31
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 21 13:08:36 2013 +0200

    plparse: Port to libquvi 0.9
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700768

 configure.ac                          |   9 +-
 plparse/Makefile.am                   |   9 ++
 plparse/xplayer-pl-parser-videosite.c   | 162 ++++++++++++++---------------
 plparse/videosite-parser.c            | 187 ++++++++++++++++++++++++++++++++++
 xplayer-plparser-mini-uninstalled.pc.in |   2 +-
 xplayer-plparser-mini.pc.in             |   2 +-
 xplayer-plparser-uninstalled.pc.in      |   2 +-
 xplayer-plparser.pc.in                  |   2 +-
 8 files changed, 281 insertions(+), 94 deletions(-)

commit 5785325b9ce3bf3143d67a3de6e11c94391c3f66
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 25 16:43:59 2013 +0200

    plparse: Make split-off functions internal
    
    So they can be used by the new quvi code.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700768

 plparse/xplayer-pl-parser-private.h |  7 +++++++
 plparse/xplayer-pl-parser.c         | 12 ++++++------
 2 files changed, 13 insertions(+), 6 deletions(-)

commit 7ec29b4c3edffd0131d408c4da17ce8dcab78308
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 25 16:35:28 2013 +0200

    plparse: Move string fixing to separate function
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700768

 plparse/xplayer-pl-parser.c | 48 ++++++++++++++++++++++++++++++++---------------
 1 file changed, 33 insertions(+), 15 deletions(-)

commit 5ab0f92bca40c019774bbd6183eee0f3e58ea775
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 25 16:42:11 2013 +0200

    plparse: Move signal emission to separate function
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700768

 plparse/xplayer-pl-parser.c | 46 +++++++++++++++++++++++++++++-----------------
 1 file changed, 29 insertions(+), 17 deletions(-)

commit 04f6d6c32927ddc5ef86264e4535194e97be2f95
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 21 15:20:29 2013 +0200

    tests: Move videosite to quvi-only section

 plparse/tests/parser.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 86d8228cdaf32606099ec1d8443355ed576a5fa5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 14 12:52:28 2013 +0200

    3.4.5

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 9baee21a71c7195d6d1ae322189fcd1039617eae
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Apr 26 18:42:21 2013 +0200

    plparse: Save everything we're told to in the XSPF file
    
    The saving part of the XSPF parser doesn't need to check
    whether the scheme is ignored, the front-end (which populates
    that list) can do that just as well.
    
    This fixes DVDs not being saved in the Xplayer session.

 plparse/xplayer-pl-parser-xspf.c | 11 -----------
 1 file changed, 11 deletions(-)

commit 8dd63c9f8aa85ae4687bb4b90c9c1de886069ac0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 25 12:44:53 2013 +0200

    plparse: Handle length attribute for M3U playlists
    
    When an M3U playlist advertises the length of an item as -1, we
    don't need to check whether it is another playlist, it would usually
    be a file of unknown duration, or a stream.
    
    This matches the current code in the PLS parser, and works around
    hang-on-close() bugs in gvfs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695652

 plparse/tests/BassDrive.pls        | 39 ++++++++++++++++++++++++++++++++++++++
 plparse/tests/Makefile.am          |  3 ++-
 plparse/tests/parser.c             | 13 +++++++++++++
 plparse/tests/radioclasica.mp3.m3u |  3 +++
 plparse/xplayer-pl-parser-lines.c    | 34 ++++++++++++++++++++++++++++++++-
 5 files changed, 90 insertions(+), 2 deletions(-)

commit ba8ee7f0e957eacc990318ed2580a3f27e58fe3e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 29 18:08:41 2013 +0100

    disc: Fix media detection on loopback devices
    
    We think they're physical media, but they don't actually have
    a drive associated, so they cannot be removable.
    
    This fixes: ./disc /dev/loop0
    when an ISO is loopback mounted with udisks2

 plparse/xplayer-disc.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 4ba8cc2d94c1721f9310370db3452337f51c4d9a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 29 17:37:36 2013 +0100

    disc: Avoid warnings when the volume doesn't have a mount

 plparse/xplayer-disc.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 5718016386b123d735a9b45bd537867f62a1ac7c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 26 08:22:10 2013 +0100

    3.4.4

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit d4464725f2120019033577878f49dedd52ae0bdd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 26 08:44:22 2013 +0100

    docs: Disable gtk-doc tests
    
    Sigh.
    
    make[6]: Leaving directory `/home/hadess/Projects/jhbuild/xplayer-pl-parser/xplayer-pl-parser-3.4.4/_build/docs/reference'
    fatal: making test-suite.log: failed to create /home/hadess/Projects/gnome-install/bin/gtkdoc-check.trs
    fatal: making test-suite.log: failed to create /home/hadess/Projects/gnome-install/bin/gtkdoc-check.log

 docs/reference/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 994721178141f9812769a00dd7d7a551ae36becb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 20 12:10:37 2013 +0100

    tests: Add test for playlist content-types

 plparse/tests/parser.c | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

commit 28432e1b4b1d1a6dcbf306c05927852f07bf66f8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 20 11:57:49 2013 +0100

    plparse: Export content-type in playlist-started
    
    For the 3 playlist types that we can save, export their content
    type in the parsers. This allows us to detect such playlists,
    and offer to save them back in the same location.

 plparse/xplayer-pl-parser-lines.c | 1 +
 plparse/xplayer-pl-parser-pls.c   | 1 +
 plparse/xplayer-pl-parser-xspf.c  | 1 +
 3 files changed, 3 insertions(+)

commit 6f7001fec750f9d41392ff99b1296f356f7142eb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 20 11:49:48 2013 +0100

    lines: Add playlist-started/ended support for M3U files

 plparse/xplayer-pl-parser-lines.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit ec255a8148714860f2637c3b42fbec7ff3554359
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 20 11:37:45 2013 +0100

    pla: playlist-ended expects a URI, not a title

 plparse/xplayer-pl-parser-pla.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 80ed94e669236f25c5ebb836a462c0c40b1c6a3a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 20 11:29:29 2013 +0100

    pls: Simplify _add_pls_with_contents() code

 plparse/xplayer-pl-parser-pls.c | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit a3a4bdaee3f5416b27311f8ab1f5d4cd8323735b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 20 11:21:32 2013 +0100

    pls: Always send playlist-started/ended

 plparse/xplayer-pl-parser-pls.c | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 71d2e347034edbed2ffa587dd115e17ae371ed4f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 19 21:59:42 2013 +0100

    tests: Add test for out-of-order XSPF signals

 plparse/tests/new-lastfm-output.xspf |  2 +-
 plparse/tests/parser.c               | 13 +++++++++++++
 2 files changed, 14 insertions(+), 1 deletion(-)

commit b86b813702310f09158207cfe99698c5f9bb1a30
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 19 21:35:45 2013 +0100

    tests: Add test for playlist-ended for ASX

 plparse/tests/parser.c | 44 ++++++++++++++++++++++++++++++++++----------
 1 file changed, 34 insertions(+), 10 deletions(-)

commit 691d59e97db3fc5498836d7bbddee56d42542b16
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 19 21:34:16 2013 +0100

    xspf: Add playlist-started/ended signals

 plparse/xplayer-pl-parser-xspf.c | 43 +++++++++++++++++++++++++++++++++++++-----
 1 file changed, 38 insertions(+), 5 deletions(-)

commit 721671435fa4782530949aafdba4f54755e28f2e
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Tue Mar 19 22:40:40 2013 +0100

    [l10n] Added Tadjik translation

 po/LINGUAS |  1 +
 po/tg.po   | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

commit 9c44281c81130daa8971a7841c2f7a2d564a08bc
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Tue Mar 19 02:25:15 2013 +0900

    Updated Korean translation

 po/ko.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit cb069b5419ce9271698ebd5529360334be1abeac
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Mar 17 01:09:12 2013 +0000

    Converted Portuguese translation to New Spelling (Novo AO)

 po/pt.po | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit c115f4ded1098556333a36187440c1d19814ecc4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 8 18:35:58 2013 +0100

    build: Bump the current version
    
    For the GNOME XSPF extension work.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1653061b188699eaed8577b1fa3e52c8e3d470ee
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Mar 9 00:40:05 2013 +0100

    tests: Print the parsed duration if available

 plparse/tests/parser.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 16c8f0d4e32d75d09f3d983d856ad1de79d90a60
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Mar 9 00:31:00 2013 +0100

    plparse: Read and write the starttime for XSPF tracks

 plparse/xplayer-pl-parser-xspf.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 4315b628588235b2d8761a8012f2830624151a98
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 8 18:22:55 2013 +0100

    plparser: Add support for saving GNOME XSPF extensions

 plparse/xplayer-pl-parser-xspf.c | 42 +++++++++++++++++++++++++++++++++++-------
 1 file changed, 35 insertions(+), 7 deletions(-)

commit d213b83c84ba0feed2c9683ea09737c60457ecbd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 8 18:02:09 2013 +0100

    tests: Add test case for GNOME XSPF extensions

 plparse/tests/playlist.xspf | 5 +++++
 1 file changed, 5 insertions(+)

commit df7355f270574696d2bbb7487d3178051f828cfc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 8 18:01:25 2013 +0100

    plparser: Add support for some GNOME XSPF extensions
    
    That should allow Xplayer to save all its metadata in the playlist
    file rather than using side storage.

 plparse/xplayer-pl-parser-xspf.c | 39 ++++++++++++++++++++++++++++++++++++++-
 1 file changed, 38 insertions(+), 1 deletion(-)

commit 40223365aa55302b65bdcc18a20f39a5c391d4a5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 8 17:58:20 2013 +0100

    plparser: Add support for the "playing" attribute

 plparse/xplayer-pl-parser.c | 4 ++++
 plparse/xplayer-pl-parser.h | 7 +++++++
 2 files changed, 11 insertions(+)

commit b2ec65f76e5951fb85031b6e80861b5dcb58de5e
Author: Mateu Batle <mateu.batle@collabora.com>
Date:   Fri Mar 1 16:13:02 2013 +0000

    plparser: Fixed memleak in xplayer_pl_parser_can_parse_from_data
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694941

 plparse/xplayer-pl-parser.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 977d4b9746d86df139f819088bcbc861fc17fa5d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 26 16:27:09 2013 +0100

    tests: Fix "make check" without quvi support
    
    Those two tests were relying on quvi being present to work
    (as well as the guardian being a supported site in libquvi).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694438

 plparse/tests/parser.c | 4 ++++
 1 file changed, 4 insertions(+)

commit b114342ef68d276d30d50ca00f163517594f3034
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Jan 4 10:59:54 2013 +0000

    configure.ac: Use new libtool syntax

 configure.ac | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 4a33f380b464ac3205b64174d8110330bb7251e0
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Jan 4 10:58:25 2013 +0000

    configure.ac: Do not use deprecated autoconf macros

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 4bfdfea2f998abb332caefa5e87e93c95ba9af61
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Jan 4 10:02:50 2013 +0000

    build: Rename configure.in to configure.ac
    
    The long-deprecated 'configure.in' name for the Autoconf input file
    will be dropped in future version of automake

 autogen.sh   |   2 +-
 configure.ac | 241 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in | 241 -----------------------------------------------------------
 3 files changed, 242 insertions(+), 242 deletions(-)

commit a3a526b01c9690af99bd5932fb32da1a179939cf
Author: TmTFx <f.t.public@gmail.com>
Date:   Fri Dec 28 21:53:05 2012 -0200

    Updated Friulian translation

 po/LINGUAS |  1 +
 po/fur.po  | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

commit 3736e5234e04cea4dc722247a148b37c6e1884c2
Author: Pacho Ramos <pachoramos@gmail.com>
Date:   Sat Oct 27 12:38:38 2012 +0200

    build: Use gmime-2.6
    
    Force using gmime-2.6 usage to prevent automagic dependencies
    now that older versions are deprecated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686975

 configure.in | 6 ------
 1 file changed, 6 deletions(-)

commit c10826436b0a16445e6f14d555e8a02ad2b89da0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 7 22:57:38 2012 +0100

    tests: Mark a bunch of tests as broken
    
    As their URLs don't respond anymore. Makes the slow run work.

 plparse/tests/parser.c | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

commit cab22b1b302c6e2760dbf04a0b4b369ae884be71
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 7 22:57:11 2012 +0100

    tests: Broken ASX test is broken
    
    Oh, the irony.

 plparse/tests/parser.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 398ce7a6bb1290436d43609a1ff888bc2db2fda4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 7 22:56:44 2012 +0100

    tests: Fix a compile-time warning
    
    Best return from the test than not compile it.

 plparse/tests/parser.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 7e4b7963db9fdc168603d781bf1eb2704a7a9fee
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 7 22:55:39 2012 +0100

    tests: Don't check non-local files for parseability
    
    We won't be able to MMAP them, that's for sure.

 plparse/tests/parser.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 6f997be4378231bc99ad1fa18504c6db7cc8c7ed
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 7 22:49:46 2012 +0100

    tests: Fix short-reads in parseability tests

 plparse/tests/parser.c | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit 5ad5be6b6848e6de8699013b8a9bfa8aa4bbdfd7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 7 21:51:50 2012 +0100

    plparser: Add support for the itmss scheme
    
    As used in
    https://itunes.apple.com/us/podcast/best-of-chris-moyles/id77318908
    for example.

 plparse/tests/parser.c            | 2 ++
 plparse/xplayer-pl-parser-podcast.c | 4 +++-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 487d2dafc45363e0174c86fbb2ca071ceb558b6d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 29 11:37:58 2012 +0100

    tests: Add test for broken XSPF parsing
    
    We don't handle xml:base correctly.

 plparse/tests/Makefile.am   |  3 ++-
 plparse/tests/parser.c      | 13 +++++++++++++
 plparse/tests/xml-base.xspf |  8 ++++++++
 3 files changed, 23 insertions(+), 1 deletion(-)

commit feeb3d38ae02e1ff9bdf5e8e9fbb2800e0849845
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 29 08:22:10 2012 +0100

    plparse: Don't overescape parse URIs in XSPF
    
    Passing a URI through g_file_new()/g_file_get_uri() will
    create escaping problems if the original URI contained spaces
    on purpose (for example, rtmp URLs with additional parameters).
    
    Original patch by György Balló <ballogy@freestart.hu>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=687088

 plparse/tests/parser.c         | 10 ++++++++
 plparse/tests/playlist.xspf    |  2 +-
 plparse/xplayer-pl-parser-xspf.c | 52 ++++++++++++++++++++++++++++--------------
 3 files changed, 46 insertions(+), 18 deletions(-)

commit 386c1cca31ee41e888540c8dc4f47023eaeb65bb
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Mon Sep 24 16:52:43 2012 +0300

    Updated Latvian translation

 po/lv.po | 36 +++++++++++++++++++-----------------
 1 file changed, 19 insertions(+), 17 deletions(-)

commit e2f4f8d73bd8f6bf6935046c0dd0530124c02486
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 18 16:28:51 2012 +0200

    plparse: Remove dep on newer versions of glib
    
    We should still work with older versions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684292

 plparse/xplayer-pl-parser.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 954b678334c307f51b537bef0d901c636e1dea1a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 18 11:42:52 2012 +0200

    3.4.3

 NEWS         | 9 +++++++++
 configure.in | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 97cbbf6caaf89460fa99640e5ca7ff748a864cb6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 21 21:27:55 2012 +0100

    build: Use gnome-common code coverage macros to add gcov support
    
    This replaces xplayer-pl-parser’s existing home-grown solution with the
    gnome-common code coverage macros added in gnome-common 3.5.6/3.6.0.
    
    To use:
        cd plparse && make check-code-coverage
    this will run the xplayer-pl-parser test suite and build a code coverage
    report of the code which was touched. The report will be an HTML file and
    its URI will be printed on completion.
    
    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=683212

 configure.in        | 1 +
 plparse/Makefile.am | 6 ++++++
 2 files changed, 7 insertions(+)

commit d44c4438abb4d340a6a44abf0a223a738fa2dde9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 4 21:11:44 2012 +0200

    Updated Polish translation

 po/pl.po | 29 ++++++++++++++++++++---------
 1 file changed, 20 insertions(+), 9 deletions(-)

commit e3b5ee7bfaecd7aa67a698f0033dbb5229547b84
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 21 22:50:17 2012 +0100

    docs: Remove a reference to a private function from the documentation

 plparse/xplayer-pl-parser.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 9832f68fce1aaa7dad20a47d0993fb1042c6bbd4
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 21 22:02:40 2012 +0100

    build: Simplify generation of enum files
    
    This fixes race conditions with parallel make, rids the world of another
    stupid .stamp file, and removes the possibility of builds waiting forever
    due to a similar issue to GThumb’s as mentioned here:
    http://www.burtonini.com/wordpress/2012/08/02/debugging-parallelism-problems-in-make/
    
    (I didn’t actually experience builds taking forever. I wouldn’t be here if
    I had. I’d still be _there_ instead.)

 plparse/Makefile.am | 24 ++++++++----------------
 1 file changed, 8 insertions(+), 16 deletions(-)

commit c91b3c5172628803ba05cb6da04b9cf604e227cf
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Aug 21 22:00:24 2012 +0100

    tests: Fix return value of ‘disc’ test for everyone except Bastien

 plparse/tests/disc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 35023f735118c01427a53dd572194dd34eaaf298
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 21 19:29:59 2012 +0100

    tests: Don't error out on build systems

 plparse/tests/disc.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 8793753744a9a549d824ca27aafa5b7e7fce9082
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 21 19:28:09 2012 +0100

    tests: Don't try to run HTTP tests if not there

 plparse/tests/parser.c | 30 +++++++++++++++++++++++-------
 1 file changed, 23 insertions(+), 7 deletions(-)

commit c1f3a8f5b0145df5580d1832a8eaa5fe12bf4eda
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Aug 17 00:11:06 2012 +0200

    Updated Galician translations

 po/gl.po | 35 ++++++++++++++++++++---------------
 1 file changed, 20 insertions(+), 15 deletions(-)

commit 0eae7ba6b067f3c10fd181607e836f1f18c9a76c
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Aug 10 03:59:21 2012 +0900

    Makefile: remove reference to not used gnome-doc-utils file

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f8fda15d30533811e97e0c1c573fb2b1c4d5ee29
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Jul 29 21:23:51 2012 +0200

    plparse: Pass 0 rather than -1 to g_content_type_guess()
    
    Passing -1 was incorrect, and GLib was changed to disallow it in
    139c1ce9884a91be167ab9d48d3c4b0df89dd112.
    
    This fixes the “resolution” test case.

 plparse/xplayer-pl-parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8b623e8ee8d150e5f7567b519b2c472fae2c8c63
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 26 23:32:58 2012 +0100

    lib: Fix some RSS feeds using the "guid" field

 plparse/tests/Makefile.am         |  3 ++-
 plparse/tests/no-url-podcast.xml  | 52 +++++++++++++++++++++++++++++++++++++++
 plparse/tests/parser.c            | 14 +++++++++++
 plparse/xplayer-pl-parser-podcast.c |  5 ++++
 4 files changed, 73 insertions(+), 1 deletion(-)

commit 951e1fd908294477827629855c63302891d9d56d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 26 23:15:02 2012 +0100

    lib: Make RSS feeds ending in "/" be parseable
    
    They're not directories, we don't know how to handle directories
    on HTTP, so don't be silly.

 plparse/xplayer-pl-parser.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 573e83cd7d0f079ad2122e6ad4a87dccd8e28d19
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 26 23:01:05 2012 +0100

    lib: Don't add JPEG files as entries in Podcasts
    
    Some people use the "enclosure" tag to attach images, those aren't
    useful entries.

 plparse/tests/Makefile.am         |  3 ++-
 plparse/tests/empty-feed.xml      | 47 +++++++++++++++++++++++++++++++++++++++
 plparse/tests/parser.c            | 14 ++++++++++++
 plparse/xplayer-pl-parser-podcast.c | 17 +++++++++++++-
 4 files changed, 79 insertions(+), 2 deletions(-)

commit 47cf084189b83e2f60ff8e168732bf3a2358a2e8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jul 20 13:05:52 2012 +0100

    lib: Don't show empty length from quvi
    
    If it's zero, it's unknown.

 plparse/xplayer-pl-parser-videosite.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f21c8e2b283ef9304f7e930c1b65a4f3bb02f202
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 15 14:34:37 2012 +0100

    lib: Handle both variants for Qt Linguist files

 plparse/xplayer-pl-parser.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 374a4b782956bfc953c9b4b8cc3eae5a30414d92
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 15 14:22:46 2012 +0100

    lib: Fix *.ts files being ignored
    
    The magic for the MP2T file is far too restrictive, and doesn't
    match a huge number of media files. When we see *.ts files, assume
    they're MP2T files instead of Qt Linguist translations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678163

 plparse/xplayer-pl-parser.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit e3b8ffeaa706e40bdd939aeed9d39f5847fb33a4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 15 14:21:58 2012 +0100

    tests: Add test for ignored MP2T file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678163

 plparse/tests/Makefile.am         |   3 ++-
 plparse/tests/dont-ignore-mp2t.ts | Bin 0 -> 131072 bytes
 plparse/tests/parser.c            |  12 ++++++++++++
 3 files changed, 14 insertions(+), 1 deletion(-)

commit 856cacbe7e3c5efde6e038a70e2ee957edfe39d9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 13 19:07:34 2012 +0100

    build: Remove unused variables

 xplayer-plparser-mini-uninstalled.pc.in | 2 --
 xplayer-plparser-mini.pc.in             | 2 --
 xplayer-plparser-uninstalled.pc.in      | 2 --
 xplayer-plparser.pc.in                  | 2 --
 4 files changed, 8 deletions(-)

commit 39bf6f4d06415fe2e51feaa575f2a592da4a8f3b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon May 28 12:53:13 2012 +0100

    lib: Report "unsupported" errors from quvi

 plparse/xplayer-pl-parser-videosite.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 9d7c0b31cb7a966cfd1b5d1721d60835bfa29649
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 15 15:12:07 2012 +0100

    3.4.2

 NEWS         | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 46c74f20e2dc26e54d881f04116fcbd1703ee030
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun May 13 13:02:54 2012 +0100

    lib: Fix initialisation of ignore_mutex
    
    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=675824

 plparse/xplayer-pl-parser.c | 1 +
 1 file changed, 1 insertion(+)

commit 058ba04627b51659983cf76eaa88089feb81307e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 26 13:00:06 2012 +0100

    docs: Add missing -mini documentation
    
    Include xplayer_pl_parser_can_parse_from_uri() which checks
    whether a URI is that of a videosite.

 docs/reference/Makefile.am                  | 1 -
 docs/reference/xplayer-pl-parser-sections.txt | 3 +++
 plparse/xplayer-pl-parser.c                   | 3 +--
 3 files changed, 4 insertions(+), 3 deletions(-)

commit f9ebc4a9f76296e44817f6c2f4062dbb17c26a22
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Apr 16 16:02:06 2012 +0100

    3.4.1

 NEWS         | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit f488472ed896dcc61a71330f330367603f155269
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   Fri Apr 13 00:54:43 2012 +0200

    Added Aragonese translation

 po/LINGUAS |  1 +
 po/an.po   | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

commit 9ef1453455b2facf239694cd227e873d07dd5121
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 5 16:56:57 2012 +0100

    build: Bump version for archive:/// DVD bug fixes

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2660638d2069d9cc16ecef03fb1c68987d07650a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 5 16:50:35 2012 +0100

    tests: Fix "hadess" test case in my own machine

 plparse/tests/parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 223617358c7ce16b2af98fd1b41119a4ce1b2ca9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 5 16:47:34 2012 +0100

    media: Add non-DVD block devices as directories

 plparse/xplayer-pl-parser-media.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 13f385a2273ddfc1b8418a5a698074d6b303c4ed
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 5 16:47:04 2012 +0100

    disc: Fix _from_dir() when dir is archive:///...

 plparse/xplayer-disc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 962a8a8b7ca4a8643507d92c2424e526c1df9890
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 5 16:46:40 2012 +0100

    disc: Get the original filename for ISO images

 plparse/xplayer-disc.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 3c01d126ea6bde21149ec004b7c828a3144f32c5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 5 16:42:06 2012 +0100

    disc: Add code to get the archive URI
    
    From its mounted root URI. So:
    archive://file%253A%252F%252F%252Ffoo.iso/
    to:
    file:///foo.iso

 plparse/xplayer-disc.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit cdb702d494ca7c8a11fdcf61a88f6bcb5359c474
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 5 15:49:23 2012 +0100

    disc: Fix whitespace

 plparse/xplayer-disc.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec8caf12734bb944ea0ffe7a6c1c38d2b353bfd2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 5 15:47:58 2012 +0100

    lib: Fix small memory leak

 plparse/xplayer-pl-parser-media.c | 2 ++
 1 file changed, 2 insertions(+)

commit 274b2f0ba82da30a9343e7ae86935f11e44d2293
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 5 15:46:40 2012 +0100

    lib: Fix wrong references to @self
    
    When we meant "@parser".

 plparse/xplayer-pl-parser.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 254724230abb2f00148aed0918d51511a273e468
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 5 15:46:03 2012 +0100

    disc: Don't error out when libarchive fails to close
    
    It's unlikely to have an incidence on what we're doing.

 plparse/xplayer-disc.c | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 35acb99c6555fae30045726fec8c7f9d7dcce25d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 5 15:45:46 2012 +0100

    tests: Add print out for cancelled calls

 plparse/tests/parser.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2d06fd00eaca75ab7e26ca5b40246a189b777c65
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 2 16:38:46 2012 +0100

    lib: Use the best available video format
    
    For videosites.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673209

 plparse/xplayer-pl-parser-videosite.c | 1 +
 1 file changed, 1 insertion(+)

commit 0aa789f47809730f6200b6c7483d74ab05d7d423
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Apr 1 18:39:18 2012 +0300

    Updated Bulgarian translation

 po/bg.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ddf13f81faf8a1989451e9e4c74ac5aae9a478eb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Mar 27 09:48:25 2012 +0100

    3.4.0

 NEWS         | 3 +++
 configure.in | 4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 9b2d08193c44d882c482e31a606687e74514005d
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Fri Mar 23 06:42:22 2012 +0200

    Updated Bulgarian translation

 po/bg.po | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

commit d87752da4977d926cd6aad31e9cfaa3bd7035da3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Mar 17 15:37:44 2012 +0000

    3.3.92

 NEWS         | 5 +++++
 configure.in | 6 +++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit a0dff16b8c5fdf1ad8a413735dd98bc56e191f9d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Mar 17 15:35:51 2012 +0000

    docs: Ignore the AMZ parser

 docs/reference/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 3e5535589cd4b80cd2a493dff21df43030a88705
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 13 14:23:16 2012 +0100

    lib: Handle RSS feeds for video sites
    
    Such as YouTube favourites, Vimeo most played, etc.

 plparse/tests/Makefile.am         |  3 ++-
 plparse/tests/parser.c            | 20 ++++++++++++++++++++
 plparse/tests/rss.xml             | 14 ++++++++++++++
 plparse/xplayer-pl-parser-podcast.c | 11 +++++++++--
 4 files changed, 45 insertions(+), 3 deletions(-)

commit e7a78fc974bda7c87d1b2e0b0845ddf988e10e35
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Sat Mar 10 13:27:22 2012 +0100

    Add initial Khmer translation

 po/LINGUAS |  1 +
 po/km.po   | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

commit 215006e0d4d0368d4cb27e0f7369137944091c2d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 2 12:49:42 2012 +0000

    build: Fix compilation with libgcrypt
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671196

 plparse/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit beed966d939271ec57c1840c5967f05691b052f5
Author: Bahodir Mansurov <6ahodir@gmail.com>
Date:   Tue Feb 28 16:26:37 2012 -0500

    Adding Uzbek@cyrillic translation

 po/LINGUAS        |  1 +
 po/uz@cyrillic.po | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

commit b39cd3367627691ef4686ca4c0ad12b5b9e447fd
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Feb 5 14:05:03 2012 +0000

    introspection: Skip XplayerPlParserMetadata because it’s evil
    
    XplayerPlParserMetadata is a GHashTable wearing a fake moustache, originating
    from the days when GHashTable wasn’t a proper boxed type. GIR knows about the
    peculiarities of GHashTable (for example, its key and value element types);
    but is fooled by the fake moustache and doesn’t know what to make of
    XplayerPlParserMetadata.
    
    This is bad. Nobody likes fake moustaches.
    
    This commit marks XplayerPlParserMetadata as to be (skip)ped by GIR, and
    overrides the locations where it used to pretend to be GHashTables. Since
    the copy/free functions for the boxed XplayerPlParserMetadata and boxed
    GHashTable are the same, this shouldn’t cause problems for bindings when
    they try and unbox the GHashTables, since no boxed type identifier is carried
    along with the box.
    
    Closes: https://bugzilla.gnome.org/show_bug.cgi?id=669398

 plparse/xplayer-pl-parser.c | 7 +++++--
 plparse/xplayer-pl-parser.h | 2 +-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit a24e51a8ecb3f8af12543ed5afb18cb2d877dfd5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 20 00:05:57 2012 +0100

    3.2.0

 NEWS         | 9 +++++++++
 configure.in | 6 +++---
 2 files changed, 12 insertions(+), 3 deletions(-)

commit da7a2779d8b460841bb1f6519d2c1fdd7287324b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 20 01:30:59 2012 +0100

    lib: Add support for AMZ AmazonMP3 download files
    
    Using original code from libamz:
    http://nenolod.net/projects/libamz/
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668686

 plparse/Makefile.am           |   4 ++
 plparse/xplayer-pl-parser-amz.c | 155 ++++++++++++++++++++++++++++++++++++++++++
 plparse/xplayer-pl-parser-amz.h |  45 ++++++++++++
 plparse/xplayer-pl-parser.c     |   2 +
 4 files changed, 206 insertions(+)

commit 145065a0edfb4821844100f5f1ebcf8f0f591152
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 20 01:30:16 2012 +0100

    build: Check for optional libgcrypt

 configure.in                     | 27 +++++++++++++++++++++++++++
 xplayer-plparser-uninstalled.pc.in |  3 ++-
 xplayer-plparser.pc.in             |  3 ++-
 3 files changed, 31 insertions(+), 2 deletions(-)

commit 447209886ae9c8eacdc9066327d75a088a427275
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 20 01:29:44 2012 +0100

    lib: Split out XSPF parsing from data

 plparse/xplayer-pl-parser-xspf.c | 50 +++++++++++++++++++++++++++++++++++++-----
 plparse/xplayer-pl-parser-xspf.h |  5 +++++
 2 files changed, 49 insertions(+), 6 deletions(-)

commit 40b55190631f8c0ef48a81827d9858d2d4004c85
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 6 01:08:17 2011 +0100

    lib: Don't have quvi poke at our remote files
    
    Otherwise one-time links could very well expire in front of our
    very eyes.

 plparse/xplayer-pl-parser-videosite.c | 2 ++
 1 file changed, 2 insertions(+)

commit 061cc3bdc62bc0729a540d4e65ad8f58525458a8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 6 00:27:45 2011 +0100

    lib: Add missing line feed

 plparse/xplayer-pl-parser-videosite.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 235ad19dbfee68174e2e17b56386f95a6eb6aa46
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 1 16:50:17 2012 +0000

    tests: Avoid crasher with no arguments passed
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662418

 plparse/tests/disc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb2b83a131b85447bb3a5a8b25b409acf9a7a9ca
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Jan 28 20:51:00 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

commit 7f24cc6930c12c877aca0b909c00a6fee46ec090
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 25 19:46:10 2012 +0000

    tests: Add decrypted AMZ test

 plparse/tests/Makefile.am                 |   1 +
 plparse/tests/decrypted-amazon-track.xspf | 124 ++++++++++++++++++++++++++++++
 plparse/tests/parser.c                    |   4 +
 3 files changed, 129 insertions(+)

commit 801892a5680b8c6ed94ada9c0bde85d328d8b484
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 25 19:36:28 2012 +0000

    lib: Add support for Amazon XSPF extensions
    
    Export the track ASIN, genre and filesize from a decrypted AMZ file.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668686

 plparse/xplayer-pl-parser-xspf.c | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit e5bc1d58bba7b018659f65615adf92506c0c15f0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 21 13:43:34 2011 +0000

    core: Fix various compilation warnings
    
    Mostly shadowed variable names and const-correctness.

 lib/stub.c                        |  2 ++
 plparse/tests/disc.c              | 18 +++++++++---------
 plparse/tests/parser.c            |  4 +++-
 plparse/xplayer-disc.c              | 20 ++++++++++++--------
 plparse/xplayer-pl-parser-lines.c   |  2 +-
 plparse/xplayer-pl-parser-media.c   |  8 ++++----
 plparse/xplayer-pl-parser-misc.c    | 10 +++++-----
 plparse/xplayer-pl-parser-pls.c     | 16 ++++++++--------
 plparse/xplayer-pl-parser-podcast.c | 12 ++++++------
 plparse/xplayer-pl-parser-qt.c      |  2 --
 plparse/xplayer-pl-parser.c         |  6 +-----
 plparse/xmllexer.c                | 17 +++++++++++------
 plparse/xmllexer.h                |  8 +++++++-
 plparse/xmlparser.c               |  8 +++++---
 14 files changed, 74 insertions(+), 59 deletions(-)

commit 308167c69b3213801015f4fe3ca6371981c2c18a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 21 13:19:16 2011 +0000

    introspection: Fix ::entry-parsed and ::playlist-started signals

 plparse/xplayer-pl-parser.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 96475716081db3e6e49e9a29c9b0adeb7bbcd2ae
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 21 12:55:15 2011 +0000

    docs: Fix ID conflicts in documentation

 plparse/xplayer-pl-parser.h   | 14 ++++++--------
 plparse/xplayer-pl-playlist.h | 18 ++++++++----------
 2 files changed, 14 insertions(+), 18 deletions(-)

commit 81e48fdccd3ea0b3269ca13c4dbbbeb250f634db
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 21 12:15:43 2011 +0000

    build: Add missing files to MAINTAINERCLEANFILES
    
    This means they get cleaned appropriately, and also put in .gitignore.
    
    Also remove a generated file from git.

 Makefile.am                        | 24 +++++++++++++++++++++++-
 plparse/xplayer-pl-parser-builtins.h | 25 -------------------------
 2 files changed, 23 insertions(+), 26 deletions(-)

commit 1cae7bf4c60674e37102d14ae31226eb9e7ee906
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 21 12:09:52 2011 +0000

    build: Add git.mk to auto-generate .gitignore files

 .gitignore                 |  52 ------------
 Makefile.am                |   1 +
 docs/Makefile.am           |   2 +
 docs/reference/Makefile.am |   2 +
 git.mk                     | 200 +++++++++++++++++++++++++++++++++++++++++++++
 lib/Makefile.am            |   1 +
 plparse/Makefile.am        |   2 +
 plparse/tests/Makefile.am  |   2 +
 8 files changed, 210 insertions(+), 52 deletions(-)

commit 4cb92d74adfdb1d4d004f639f9bfb830bf2cc5c0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 21 11:47:12 2011 +0000

    docs: Add unused symbols to documentation sections file

 docs/reference/Makefile.am                  |  1 +
 docs/reference/xplayer-pl-parser-sections.txt |  2 ++
 plparse/xplayer-pl-parser.h                   | 14 ++++++++++++++
 3 files changed, 17 insertions(+)

commit 4994055c9e75e0f3359baac5cb67094425af2820
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 21 11:45:58 2011 +0000

    docs: Fix some broken documentation comments

 plparse/xplayer-disc.h        | 3 ++-
 plparse/xplayer-pl-playlist.c | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 4a044c149cc8e1e54e829eda7f2ccc4cbdd4908f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 21 11:36:54 2011 +0000

    docs: Fix builddir ≠ srcdir documentation builds

 docs/reference/Makefile.am | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit d275cbfdf2e8914f60925d42755161f014d34ed6
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 21 11:36:32 2011 +0000

    docs: Automatically generate .types file
    
    This removes one more file we have to maintain.

 docs/reference/Makefile.am           | 6 +++++-
 docs/reference/xplayer-pl-parser.types | 2 --
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 506f0999d69d405e8b1d026a470413304ea9f934
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Dec 21 11:34:54 2011 +0000

    docs: Use gtk-doc's no-tmpl flavour
    
    This eliminates our need for a tmpl directory, and should make documentation
    builds faster.
    
    This bumps our gtk-doc dependency to 1.14.

 configure.in               | 2 +-
 docs/reference/Makefile.am | 4 ----
 2 files changed, 1 insertion(+), 5 deletions(-)

commit 2af79592b76f30dd6bd5072dcb4ec5c605ef1d8e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Dec 5 23:23:07 2011 +0100

    tests: Fix debug output with recent glib

 plparse/tests/parser.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 6c49d91b6b6f5fe85993129bd091765d7d5a1b7b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Nov 18 12:57:53 2011 +0000

    tests: Add test case for compressed content-type streams
    
    See http://thread.gmane.org/gmane.comp.gnome.apps.rhythmbox.devel/11887
    and https://bugzilla.gnome.org/show_bug.cgi?id=664200

 plparse/tests/parser.c | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit dea35fe97ca780ae732c488d51b819a946538d0c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Nov 4 17:56:40 2011 +0000

    lib: Remove unneeded includes

 plparse/xplayer-pl-parser-lines.c   | 1 -
 plparse/xplayer-pl-parser-media.c   | 1 -
 plparse/xplayer-pl-parser-misc.c    | 1 -
 plparse/xplayer-pl-parser-pla.c     | 1 -
 plparse/xplayer-pl-parser-pls.c     | 1 -
 plparse/xplayer-pl-parser-podcast.c | 1 -
 plparse/xplayer-pl-parser-qt.c      | 1 -
 plparse/xplayer-pl-parser-smil.c    | 1 -
 plparse/xplayer-pl-parser-wm.c      | 1 -
 plparse/xplayer-pl-parser-xspf.c    | 1 -
 10 files changed, 10 deletions(-)

commit 4226db008a7849e11a1f71f4b2625e57002aaad2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 21 17:18:28 2011 +0100

    lib: Remove another GIR warning

 plparse/xplayer-disc.h | 5 +++++
 1 file changed, 5 insertions(+)

commit ca08aca9a333864c18b1b6108321d94243f5a84c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 21 17:18:00 2011 +0100

    lib: Remove old FIXME
    
    Seems to work correctly now, at least the test suite still
    passes correctly.

 plparse/xplayer-pl-parser-wm.c | 1 -
 1 file changed, 1 deletion(-)

commit e390e68854fbbc7a13104702ad1dfdd80ce160c9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 21 17:09:14 2011 +0100

    build: We only need quvi >= 0.2.15
    
    As shown in the quvi headers in 0.2.15.

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4e15c57a438ee900f6ce601810a59a316b039fa1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 21 16:36:26 2011 +0100

    lib: Require quvi 0.4.0
    
    And adapt API usage.
    
    Original patch by Marien Zwart in:
    https://bugs.gentoo.org/show_bug.cgi?id=386651
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661451

 configure.in                        | 2 +-
 plparse/xplayer-pl-parser-videosite.c | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 8a9c5a7c81bbbea91eb2bfef33e7d9482095228f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 21 16:12:14 2011 +0100

    lib: Fix warnings from introspection
    
    The private marshallers were using the same prefix as public
    functions, causing warnings from the introspection tools.

 plparse/Makefile.am       | 4 ++--
 plparse/xplayer-pl-parser.c | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit c3701d43da1dcb3ce53e1d2cb3a0fb157c22df00
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Oct 7 15:08:58 2011 -0400

    Adapt to API changes and deprecations in GLib 2.31
    
    The threading api got renovated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661219

 configure.in              |  2 +-
 plparse/xplayer-pl-parser.c | 31 ++++++++++++++-----------------
 2 files changed, 15 insertions(+), 18 deletions(-)

commit 8eb7dd1c59f967966f7317373819c91a3417bc6f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 21 15:14:44 2011 +0100

    tests: Don't error out on missing HTTP
    
    Only if you're hadess should we completely error out on missing
    HTTP support.

 plparse/tests/parser.c | 81 +++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 63 insertions(+), 18 deletions(-)

commit c452496227c9a6d121fcd64a2fc28c9342ba6d3d
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Sep 22 20:29:08 2011 +0200

    Updated Assamese translation

 po/as.po | 37 +++++++++++++++++++------------------
 1 file changed, 19 insertions(+), 18 deletions(-)

commit 4e4100d3f96f0e68caf9dadb575cbaa69e382c7c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 20 15:35:39 2011 +0100

    2.32.6

 NEWS         | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 09df02bd247b46429ac2b8b388f56584ee598cfb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 18 11:41:39 2011 +0100

    lib: Fix compile-time warnings
    
    We don't use the URI, so don't use a macro that uses it.

 plparse/xplayer-pl-parser-pla.c     | 10 +++++-----
 plparse/xplayer-pl-parser-private.h |  9 +++++----
 2 files changed, 10 insertions(+), 9 deletions(-)

commit 7aae4c6ecaab2ba07e965032253199d9fa4f0a18
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 18 11:40:44 2011 +0100

    lib: Fix compile-time warning
    
    A number of set but unused variables.

 plparse/xplayer-pl-playlist.c | 8 --------
 1 file changed, 8 deletions(-)

commit cd23f16eec5c8c81118e8da51fd810250cf37077
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 18 03:36:10 2011 +0100

    Add support for M4U/MXU playlists

 plparse/xplayer-pl-parser-lines.c | 11 +++++++++++
 plparse/xplayer-pl-parser-lines.h |  5 +++++
 plparse/xplayer-pl-parser.c       |  1 +
 3 files changed, 17 insertions(+)

commit 139e1c04072669cceb2c78fc6ceb0b63b14818a2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Sep 13 23:27:39 2011 +0100

    build: Fix AM_MAINTAINER_MODE
    
    See: http://blogs.gnome.org/desrt/2011/09/08/am_maintainer_mode-is-not-cool/

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c67f3399232ba574312e115c526695b5ebbca3c6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 30 15:05:06 2011 +0100

    Fix parsing problems with remote RSS feeds
    
    That were being ignored because XML files are a sub-class
    of text/plain files, and we really don't want text/plain files.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655378

 plparse/tests/parser.c    | 12 ++++++++++++
 plparse/xplayer-pl-parser.c |  5 ++++-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 467d79dc172d17bb840ff64a359a679ed131ea76
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 30 11:21:40 2011 +0100

    Add missing linefeed in debug output

 plparse/xplayer-pl-parser-videosite.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d97010304e423a9b85445484d5c17b830a8da345
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Wed Jul 20 19:12:36 2011 +0300

    Updated Belarusian translation.

 po/be.po | 2152 +-------------------------------------------------------------
 1 file changed, 27 insertions(+), 2125 deletions(-)

commit f51e68796a8eedcd8a22e781c90077637f74ac4e
Author: Friedel Wolff <friedel@translate.org.za>
Date:   Mon Jul 18 10:12:09 2011 +0200

    New translation for Afrikaans (af)

 po/LINGUAS |  1 +
 po/af.po   | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

commit 0fed7b9c663cbc0907f5ec79c1665a3eb3988e23
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 10 14:33:48 2011 +0100

    2.32.5

 NEWS         | 7 +++++++
 configure.in | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit b4c2e6c8941f185125abb505c9e2ca8bdf0fbb63
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 3 14:23:33 2011 +0100

    lib: Fix ITMS parsing from iTunes 10.x
    
    Instead of XML files/plists, the iTunes podcast code now
    uses plists for redirections, and HTML for the podcast itself.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=649171

 plparse/xplayer-pl-parser-podcast.c | 116 ++++++++++++++++++++------------------
 1 file changed, 62 insertions(+), 54 deletions(-)

commit cdee229e67a3b88557cc01545af05a860f559ba4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue May 3 13:07:52 2011 +0100

    lib: Add debug to the podcast functions

 plparse/xplayer-pl-parser-podcast.c | 17 +++++++++++------
 1 file changed, 11 insertions(+), 6 deletions(-)

commit e57948ce6ef79af728e40722c8478122270b845e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Apr 2 20:42:08 2011 +0100

    Use libarchive to detect types of ISO files
    
    Instead of using GVFS to mount the ISOs through libarchive,
    as it was quite fiddly, and unreliable.

 configure.in         |  35 ++++++++++++++
 plparse/Makefile.am  |   2 +
 plparse/xplayer-disc.c | 130 ++++++++++++++++++++++++---------------------------
 xplayer-plparser.pc.in |   2 +-
 4 files changed, 98 insertions(+), 71 deletions(-)

commit aba65d92aa4a82de84a3135af2cbfb88124a319b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Mar 25 01:31:39 2011 +0000

    Add support for new quvi properties
    
    Duration, and Thumbnail URL are now available.

 configure.in                        |  2 +-
 plparse/xplayer-pl-parser-videosite.c | 16 +++++++++++++---
 2 files changed, 14 insertions(+), 4 deletions(-)

commit 7a717c19076b504324e99db2707f24de1ce0c645
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Mar 27 21:52:18 2011 +0200

    Added UG translation

 po/ug.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 24ab9af8ede6d92c6cce9fc219708894ccae6b15
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 21 14:51:13 2011 +0000

    2.32.4

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit d1f6e011cc574161a9b6278021ad32ffdc786adc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 21 14:50:33 2011 +0000

    Export content-type for Podcasts
    
    Using the newly added property

 plparse/tests/parser.c            | 10 ++++++++++
 plparse/xplayer-pl-parser-podcast.c |  6 ++++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 52e11d77a79ce5790889e91cd3bc6d1339d69a46
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Mar 17 01:21:23 2011 +0000

    Bump version for new property

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 50b0b6b5035aadd5401c807bcff27255d0bcd1bf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Mar 17 01:20:52 2011 +0000

    Add "content-type" property

 plparse/xplayer-pl-parser-videosite.c | 3 +++
 plparse/xplayer-pl-parser.c           | 6 +++++-
 plparse/xplayer-pl-parser.h           | 7 +++++++
 3 files changed, 15 insertions(+), 1 deletion(-)

commit 3e598e4e6a20905dccb97f70a4c62e41ef1a61f4
Author: Philip Van Hoof <pvanhoof@gnome.org>
Date:   Wed Mar 2 14:57:32 2011 +0000

    pls: Fix getting past the last line in PLS files
    
    When trying to skip empty lines at the beginning of files.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643667

 plparse/xplayer-pl-parser-pls.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af13421e30dd30fc4adc2e8740564e9413f7c2cc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 2 14:56:02 2011 +0000

    Add test for bug 643667

 plparse/tests/Makefile.am       |  1 +
 plparse/tests/emptyplaylist.pls |  1 +
 plparse/tests/parser.c          | 10 ++++++++++
 3 files changed, 12 insertions(+)

commit be1ea63cf1a2400956b7575f344679babede18cb
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Feb 23 09:53:36 2011 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 9a1a89ce6af47b8ac3ee7ae0fa3987815e9713a3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 21 19:49:55 2011 +0000

    build: Fix --enable-quvi option
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642900

 configure.in | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 3f0c7ad81e2c8adb74c79289ca5431ff74de0e6b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 21 16:48:08 2011 +0000

    2.32.3

 NEWS         | 3 +++
 configure.in | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit e5efbb8be0fa3443501df8e23a6f60ea761426b3
Author: Craig Keogh <cskeogh@adam.com.au>
Date:   Wed Feb 2 21:38:42 2011 +1030

    Honor aclocal flags
    
    https://bugzilla.gnome.org/show_bug.cgi?id=640883

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c63fa02401190e0cfa1033f011722964b5031a2
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Mon Jan 31 19:12:56 2011 -0600

    Fix undefined symbol in libxplayer-plparser-mini
    
    xplayer-pl-parser.c:xplayer_pl_parser_can_parse_from_uri() calls
    xplayer_pl_parser_is_videosite(), which relies on libquvi.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=640986

 configure.in        | 2 +-
 plparse/Makefile.am | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit eb18ad0f249cfbcac117a8423bc38e2d94396fc6
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sun Jan 30 19:02:18 2011 -0600

    Fix libquvi version dependency
    
    https://bugzilla.gnome.org/show_bug.cgi?id=640987

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9bb6b22c3a34224573a20a5fbb1ded8d27542078
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 28 15:37:21 2011 +0000

    2.32.2

 NEWS         | 6 ++++++
 configure.in | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 19f2c44a0c16fae14003ed3c36450cde9ade632f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Jan 27 00:47:10 2011 +0100

    QA of Galician translations

 po/gl.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 016c792754027b63e65b759aaaf714c943c4834f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 19 16:08:48 2011 +0000

    Possibly parse WMA files as ASF redirections
    
    https://bugzilla.gnome.org/show_bug.cgi?id=639958

 plparse/tests/Makefile.am                       |  3 ++-
 plparse/tests/WMA9.1_98_quality_48khz_vbr_s.wma |  3 +++
 plparse/tests/parser.c                          | 13 +++++++++++++
 plparse/xplayer-pl-parser.c                       |  1 +
 4 files changed, 19 insertions(+), 1 deletion(-)

commit 716db54b5f1c90e0f24ad06632a97aa86d3ed6a9
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:   Thu Dec 30 16:09:28 2010 +0330

    Updating Persian Translation

 po/fa.po | 2367 ++++++++++++++++++++------------------------------------------
 1 file changed, 745 insertions(+), 1622 deletions(-)

commit 8f7932b7b1e941ae24b99b2b82240c3e675177cc
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Thu Dec 23 19:39:48 2010 +0100

    Added UG translation

 po/ug.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 33edd79d0ea2f928c111126d966af6ee0f1dce68
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Dec 20 13:58:58 2010 +0200

    [l10n] Updated Estonian translation

 po/et.po | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit 9feff79d4b263280bfaadccef4c6d1d81841eae4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 14 20:32:56 2010 +0000

    Require libquvi 2.11 at least
    
    Otherwise some functions will be missing, and the licenses won't
    be compatible.

 configure.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 51b059c1d336cab622c02176a962c56c09477096
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Dec 14 14:47:29 2010 +0000

    build: Fixes for libquvi support
    
    Make it compile when libquvi isn't available. Also make sure that
    we list libquvi in the private dependencies in pkg-config files.

 configure.in                          |  3 +++
 plparse/xplayer-pl-parser-videosite.c   | 10 +++++++---
 plparse/xplayer-pl-parser.c             |  5 +----
 xplayer-plparser-mini-uninstalled.pc.in |  2 +-
 xplayer-plparser-mini.pc.in             |  2 +-
 xplayer-plparser-uninstalled.pc.in      |  2 +-
 xplayer-plparser.pc.in                  |  2 +-
 7 files changed, 15 insertions(+), 11 deletions(-)

commit e3feb714f97c10fda5a7723a5567546c136fff81
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 24 16:24:14 2010 +0000

    Parse links to video websites
    
    And load them up as videos. Add xplayer_pl_parser_can_parse_from_uri
    that could be used with the mini parser.
    
    Expand the starttime parsing to include the YouTube format.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=635709

 configure.in                        |  25 +++++++
 plparse/Makefile.am                 |   2 +
 plparse/plparser-mini.symbols       |   1 +
 plparse/plparser.symbols            |   1 +
 plparse/tests/parser.c              |  14 ++++
 plparse/xplayer-pl-parser-mini.h      |   2 +
 plparse/xplayer-pl-parser-videosite.c | 132 ++++++++++++++++++++++++++++++++++++
 plparse/xplayer-pl-parser-videosite.h |  49 +++++++++++++
 plparse/xplayer-pl-parser.c           |  40 +++++++++++
 9 files changed, 266 insertions(+)

commit 7b69a00ecab4c517f5dc3083fe70a2a73f527b4c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 10 20:30:26 2010 +0000

    Revert "Parse links to video websites"
    
    This reverts commit cd7fc1f7ad4a397bb37e7be735e81d4997ae3aa8.
    
    Licensing issue not yet resolved upstream.

 configure.in                        |  25 -------
 plparse/Makefile.am                 |   2 -
 plparse/plparser-mini.symbols       |   1 -
 plparse/plparser.symbols            |   1 -
 plparse/tests/parser.c              |  20 ------
 plparse/xplayer-pl-parser-mini.h      |   2 -
 plparse/xplayer-pl-parser-videosite.c | 136 ------------------------------------
 plparse/xplayer-pl-parser-videosite.h |  49 -------------
 plparse/xplayer-pl-parser.c           |  42 -----------
 9 files changed, 278 deletions(-)

commit 57b47813b5fb2978537ed21d2050c5fad44fd106
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 8 12:38:04 2010 +0000

    tests: Add checks in resolution test
    
    We need http support so that gvfs's http handling is used to
    do the resolution, otherwise it will silently fail.

 plparse/tests/parser.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit cd7fc1f7ad4a397bb37e7be735e81d4997ae3aa8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 24 16:24:14 2010 +0000

    Parse links to video websites
    
    And load them up as videos. Add xplayer_pl_parser_can_parse_from_uri
    that could be used with the mini parser.
    
    Expand the starttime parsing to include the YouTube format.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=635709

 configure.in                        |  25 +++++++
 plparse/Makefile.am                 |   2 +
 plparse/plparser-mini.symbols       |   1 +
 plparse/plparser.symbols            |   1 +
 plparse/tests/parser.c              |  20 ++++++
 plparse/xplayer-pl-parser-mini.h      |   2 +
 plparse/xplayer-pl-parser-videosite.c | 136 ++++++++++++++++++++++++++++++++++++
 plparse/xplayer-pl-parser-videosite.h |  49 +++++++++++++
 plparse/xplayer-pl-parser.c           |  42 +++++++++++
 9 files changed, 278 insertions(+)

commit dd628228e8294bf26ec4edad33f605e358c0584a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Nov 26 18:58:06 2010 +0000

    tests: Add assert for double-insert when parsing playlists
    
    Doesn't actually happen in xplayer-pl-parser, but we'll want
    to check, to be certain.

 plparse/tests/parser.c | 4 ++++
 1 file changed, 4 insertions(+)

commit f2e95153cd3c5a5ac0e17dd51464457b35fdccc1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 25 18:04:05 2010 +0000

    Use GOnce to initialise the i18n system

 plparse/xplayer-pl-parser.c | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit 794bc01a53872b613b51ac36d1f37f247fec2b5c
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Nov 22 22:09:39 2010 +0000

    Don't use IT_PROG_INTLTOOL and AM_GNU_GETTEXT
    
    They conflict. See bgo#635134.

 configure.in | 2 --
 1 file changed, 2 deletions(-)

commit 269ede8e92bfe5ae6252fd1ed46860acdb5898f0
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 20 13:03:55 2010 +0100

    Added UG translation

 po/ug.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 616a033529a7856dd04ad207cb2a4ebc65bd235e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 15 11:49:32 2010 +0000

    main: Try harder to get the mime-type for a remote file
    
    Trying to parse http://faif.us/feeds/cast-mp3/ will fail because
    the web server only returns the data line-by-line.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=634770

 plparse/tests/parser.c    | 1 +
 plparse/xplayer-pl-parser.c | 8 ++++----
 2 files changed, 5 insertions(+), 4 deletions(-)

commit f2d217b74e5818ebc7164bb0a2f29769f396af96
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 15 11:40:09 2010 +0000

    media: Fix warning when opening a directory fails
    
    The enumerator is NULL, so there's nothing to close or unref.

 plparse/xplayer-pl-parser-media.c | 2 --
 1 file changed, 2 deletions(-)

commit a45d8655cb579ef8838c0f9bb5003983377143ff
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 13 22:59:41 2010 +0100

    Added UG translation

 po/ug.po | 20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

commit b7da44691a5840d7096e952f2954a4e1621b9477
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Oct 29 21:50:53 2010 +0100

    Updated Catalan (Valencian) translation

 po/ca@valencia.po | 27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

commit 30c019f05dc803494213c77bdcad757c0aaa060d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Oct 20 22:55:18 2010 +1000

    add test for async parsing signal ordering (bug #631727)

 plparse/tests/parser.c | 64 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)

commit 3184b216b5e7629f51dbad9a536cfc8c8a24dc21
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 18 14:31:47 2010 +0100

    2.30.2
    
    Rename test file so it gets added to the tar file (83 characters limit)

 NEWS                                                               | 7 +++++++
 configure.in                                                       | 4 ++--
 plparse/tests/Makefile.am                                          | 2 +-
 ..._G_Money_-_Girl_Gotta_girlfriend_Feat._O_G_Money_Snoop_Dogg.m3u | 3 ---
 plparse/tests/O_G_Money_Snoop_Dogg.m3u                             | 3 +++
 plparse/tests/parser.c                                             | 2 +-
 6 files changed, 14 insertions(+), 7 deletions(-)

commit 5b090be68f48416b8034750366eae08ff541d0e7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Oct 17 06:29:25 2010 +0100

    Don't add directories as playlist items
    
    This will avoid unreadable playlist items showing up in
    Xplayer when drag'n'dropping really deep directory hierarchies.

 plparse/tests/foo/bar/baz/boz/biz/buz/really-flv.mp4 |  1 +
 plparse/tests/parser.c                               | 18 ++++++++++++++++++
 plparse/xplayer-pl-parser-media.c                      |  4 +++-
 3 files changed, 22 insertions(+), 1 deletion(-)

commit e436fc69eacf17e8b15d089f8b59d12e1d7644c6
Author: Sahran <sahran@live.com>
Date:   Sat Oct 16 20:35:57 2010 +0200

    Added UG translation

 po/ug.po | 1932 ++++++++++++++++++--------------------------------------------
 1 file changed, 540 insertions(+), 1392 deletions(-)

commit d2877326df883f1f590bb9d7b64f453f5126b7fa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 11 22:19:14 2010 +0100

    And a little more iTunes Podcast

 plparse/xplayer-pl-parser-podcast.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 40cd5e4eddae32f4b3cffaca2f478ccad053a3e6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 11 22:10:44 2010 +0100

    Fix parsing of more iTunes Podcast links
    
    https://bugzilla.gnome.org/show_bug.cgi?id=617745

 plparse/tests/parser.c            |   5 +-
 plparse/xplayer-pl-parser-podcast.c | 125 ++++++++++++++++++++++++++------------
 2 files changed, 89 insertions(+), 41 deletions(-)

commit df96a5635643be596b18a42f2aeec5bd0af45711
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 8 11:16:29 2010 +0100

    Add empty ASX file test case
    
    To clean up my home directory

 plparse/tests/Makefile.am   |  3 ++-
 plparse/tests/empty-asx.asx |  8 ++++++++
 plparse/tests/parser.c      | 10 ++++++++++
 3 files changed, 20 insertions(+), 1 deletion(-)

commit 6792ae8958edd1b60ce5278e0a125974309ab904
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 9 15:59:14 2010 +1000

    Specify G_PRIORITY_DEFAULT for signal emission idle sources
    
    This avoids the situation where the async ready callback is called first
    because it has higher priority.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=631727

 plparse/xplayer-pl-parser-private.h | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit cd01b63cb314107d80e7c239dcf8001d5911e9b3
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Oct 9 00:15:46 2010 +0100

    Use upstream gettext instead of GLib's gettext
    
    As explained here: http://blogs.gnome.org/jjardon/2010/10/08
    /use-upstream-gettext-instead-the-glib-one/.

 configure.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 438b39af2a4be2ac2ed050585de367121d6901da
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 6 09:41:28 2010 +0100

    Ignore leading spaces before EXTINF comments
    
    https://bugzilla.gnome.org/show_bug.cgi?id=631497

 plparse/tests/Makefile.am                          |  3 +-
 ...Gotta_girlfriend_Feat._O_G_Money_Snoop_Dogg.m3u |  3 ++
 plparse/tests/parser.c                             | 11 +++++++
 plparse/xplayer-pl-parser-lines.c                    | 38 +++++++++++++---------
 4 files changed, 39 insertions(+), 16 deletions(-)

commit 63016825462ad5e101012f6a33978147b523013e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 4 15:34:59 2010 +0100

    Make sure XplayerCd and XplayerDisc introspection works
    
    The namespaces would have been ignored with previous versions
    of gobject-introspection, or done something random.

 configure.in        | 2 +-
 plparse/Makefile.am | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 6af36cd4a0add987f97ab822919eb58a5fe89c0c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 4 15:12:03 2010 +0100

    Add start-time test case
    
    From https://bugzilla.gnome.org/show_bug.cgi?id=624644

 plparse/tests/Makefile.am |  3 ++-
 plparse/tests/big5.smi    | 14 ++++++++++++++
 plparse/tests/parser.c    | 10 ++++++++++
 3 files changed, 26 insertions(+), 1 deletion(-)

commit 1659b71a6992770cb1d80d9091e376bf647ed03e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 28 16:10:47 2010 +0100

    2.32.0

 NEWS         | 3 +++
 configure.in | 4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 45353b0716063379dd453bcb70a4fbc7d16709ca
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Sep 20 21:30:06 2010 +0900

    Updated Japanese translation

 po/ja.po | 29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)

commit bbc36382ad4c66bddbc7f93e20974e875ab82bc0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 15 21:42:11 2010 +0100

    2.31.92

 NEWS         | 3 +++
 configure.in | 4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 7cd2a4e2da69aabbb01eb40190fcae88dc427ef2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Sep 14 00:01:13 2010 +0100

    Update g-ir-scanner options
    
    This changes the prefix used in xplayer-pl-parser's GIR file to “XplayerPl”,
    breaking introspection API. It makes things neater, however, and does fix the
    introspection build. This works with old versions of gobject-introspection,
    but ideally we'd depend on 0.9.5 with this change. Closes: bgo#629342

 plparse/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b458ca8d7a18f24cbb97e03374a410f2d1da61fb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 15 21:29:39 2010 +0100

    Add missing documentation

 docs/reference/xplayer-pl-parser-docs.xml     |  4 ++++
 docs/reference/xplayer-pl-parser-sections.txt |  4 ++++
 plparse/xplayer-pl-playlist.h                 | 15 +++++++++++++++
 3 files changed, 23 insertions(+)

commit 178cc697bd65fd21b4cc0209c3b24554d5fa037d
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Sep 15 21:29:25 2010 +0100

    Fix the test environment for gtk-doc master

 docs/reference/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d0f36f59a0afce7ecd79ca7e1c3e6d10d0b024d5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 13 14:40:12 2010 +0100

    2.30.3
    
    Add missing test file to the dist

 NEWS                      | 4 ++++
 configure.in              | 2 +-
 plparse/tests/Makefile.am | 3 ++-
 3 files changed, 7 insertions(+), 2 deletions(-)

commit 027d97f6b1624bb3e9913ca5f7981a17eb457fc3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 13 14:32:17 2010 +0100

    Make sure videos disguised as MP4 aren't unhandled
    
    *.mp4 files were ignored if they were actually detected
    as any other type. This was the case for 3gpp files, but
    it would happen for *all* files types that weren't listed.
    
    And we can't list every file type as possibly being a quicktime file.
    
    So we ignore files that are text/plain, or a sub-class of it.
    
    This makes FLV hiding as an MP4, or 3GPP hiding as an MP4 work
    correctly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=620039

 plparse/tests/Makefile.am    |   3 ++-
 plparse/tests/parser.c       |  12 ++++++++++++
 plparse/tests/really-flv.mp4 | Bin 0 -> 204800 bytes
 plparse/xplayer-pl-parser.c    |   5 ++---
 4 files changed, 16 insertions(+), 4 deletions(-)

commit 3e2dc648a694b15352c2b7e54ff797986c238511
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Aug 26 14:11:49 2010 +0100

    Fix parsing of 3gpp files
    
    3GPP files with a .mp4 suffix would have been ignored by the
    parser when they should actually be marked as "unhandled"
    by the parser, and handled by the player instead.
    
    Fixed Debian bug #594359.

 plparse/tests/3gpp-file.mp4 | Bin 0 -> 524288 bytes
 plparse/tests/Makefile.am   |   3 ++-
 plparse/tests/parser.c      |  12 ++++++++++++
 plparse/xplayer-pl-parser.c   |   1 +
 4 files changed, 15 insertions(+), 1 deletion(-)

commit a0824aa8e003b62b8976d2cb683c0cae09d2d6a2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 23 10:45:53 2010 +0100

    Don't use ":" as a separator in M3U playlists
    
    Fixes parsing of titles with ":" in their titles.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=609091

 plparse/tests/Makefile.am       |  3 ++-
 plparse/tests/parser.c          | 13 +++++++++++++
 plparse/tests/separator.m3u     |  3 +++
 plparse/xplayer-pl-parser-lines.c |  7 -------
 4 files changed, 18 insertions(+), 8 deletions(-)

commit 41d13b6ff351716818451d570fda64417e2284e0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 23 10:42:32 2010 +0100

    Simplify getting results for entries
    
    Share more code between tests

 plparse/tests/parser.c | 131 ++++++++-----------------------------------------
 1 file changed, 21 insertions(+), 110 deletions(-)

commit 82d0e7af339f73f963f62735758e469c4f1d308c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Aug 4 14:57:03 2010 +0100

    2.30.2

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit c1e5c2f15f4b0c523743cfeae0c7e636d9d468d1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 2 14:22:56 2010 +0100

    Add support for Last.fm's new XSPF extensions
    
    Support the XPLAYER_PL_PARSER_FIELD_ID and
    XPLAYER_PL_PARSER_FIELD_DOWNLOAD_URI fields in newer last.fm XSPF
    playlists.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=625823

 plparse/tests/Makefile.am            |  4 +-
 plparse/tests/new-lastfm-output.xspf | 37 ++++++++++++++++
 plparse/tests/old-lastfm-output.xspf | 25 +++++++++++
 plparse/tests/parser.c               | 83 ++++++++++++++++++++++++++++++++++++
 plparse/xplayer-pl-parser-xspf.c       | 14 ++++++
 5 files changed, 162 insertions(+), 1 deletion(-)

commit 85779b0e2a962feefa96233722b8e1e0c3116bf3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 22 13:56:24 2010 +0100

    Up version number

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0049574a2574928cd1607cf96daa490f2e19ad73
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 22 12:28:54 2010 +0100

    Add test case for ITMS podcast parsing

 plparse/tests/parser.c | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 1da75f11fd384cc01333052d39400932b32b0394
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 22 12:19:44 2010 +0100

    Fix itms links parsing
    
    Fix parsing podcasts links used in the iTunes Music Store.

 configure.in                      |   2 +-
 plparse/xplayer-pl-parser-podcast.c | 127 +++++++++-----------------------------
 plparse/xmlparser.c               |   2 +-
 3 files changed, 32 insertions(+), 99 deletions(-)

commit 48148139975f2ff1788ce0392c386f51b83c31a6
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Jul 21 16:16:43 2010 +0200

    Updated Galician translations

 po/gl.po | 33 ++++++++-------------------------
 1 file changed, 8 insertions(+), 25 deletions(-)

commit 99d25e17e008fa0b6ecd92cf460a9492058a4853
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jul 18 03:01:30 2010 +0100

    Add Genre extension to XSPF playlists
    
    Both reading and writing, including test.

 plparse/tests/Makefile.am      |  3 ++-
 plparse/tests/parser.c         | 42 ++++++++++++++++++++++++++++++++++++++++++
 plparse/tests/playlist.xspf    | 14 ++++++++++++++
 plparse/xplayer-pl-parser-xspf.c | 37 +++++++++++++++++++++++++++++++------
 4 files changed, 89 insertions(+), 7 deletions(-)

commit 88d4973586e75e8c71d458f64828bc9b69329957
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Jul 15 23:21:33 2010 +0100

    Make MEDIA_TYPE_NUM_TYPES a #define rather than an enum member

 plparse/xplayer-disc.h | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit f67db2fdd04a97b819859e649d463f94c0f13d13
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Thu Jul 15 01:20:30 2010 +0300

    po: Updated Romanian translation

 po/ro.po | 1340 +-------------------------------------------------------------
 1 file changed, 10 insertions(+), 1330 deletions(-)

commit 485d45f75fed44979957ef3ac22c21c068cc87cb
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 14 23:00:13 2010 +0100

    Add testcase for bgo#624341

 plparse/tests/audio.php | 95 +++++++++++++++++++++++++++++++++++++++++++++++++
 plparse/tests/parser.c  | 12 +++++++
 2 files changed, 107 insertions(+)

commit e137b15636d41a32a29f4bf627a4cc0791888753
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 14 22:54:52 2010 +0100

    Disable debugging again
    
    Whoops.

 plparse/xplayer-pl-parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 342238a1336f9d66efca9edb9a1d3d5558d8a188
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Wed Jul 14 22:48:56 2010 +0100

    Bug 624341 — crash in xplayer_pl_parser_parse_with_base
    
    Fix a crash with application/x-php dual-types if
    my_g_file_info_get_mime_type_with_data() can't find a real MIME type for the
    playlist. Closes: bgo#624341

 plparse/xplayer-pl-parser.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ef834f5a728b439630f7314b88591915bae6d78c
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sun Jul 4 22:24:37 2010 +0700

    Fix non-source-dir build failure
    
    Move to new make rule in gobject-introspection >= 0.6.14, where introspection
    source files are referenced via VPATH. Distinction between generated and manual
    sources are no longer needed.
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=623533
    
    Signed-off-by: Theppitak Karoonboonyanan <thep@linux.thai.net>

 configure.in        |  2 +-
 plparse/Makefile.am | 19 +++++--------------
 2 files changed, 6 insertions(+), 15 deletions(-)

commit cedf240ade170f059b29ff36b2dc956ef058f2b8
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:   Fri Jul 2 20:27:56 2010 +0200

    Add Esperanto translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 6cddbe012eb4ce14193f7640abd237e1db1ada66
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:   Fri Jul 2 20:27:56 2010 +0200

    Add Esperanto translation

 po/eo.po | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)

commit 14b9b021554e054a748d2a9ffc9b9e243e2c6202
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jun 26 22:03:32 2010 +0100

    Move XplayerDiscMediaType get_type() and quark() functions from Xplayer

 plparse/Makefile.am                | 10 +++++-----
 plparse/plparser.symbols           |  2 ++
 plparse/xplayer-disc.c               | 10 ++++++++++
 plparse/xplayer-disc.h               |  6 +++++-
 plparse/xplayer-pl-parser-builtins.h |  7 +++++--
 5 files changed, 27 insertions(+), 8 deletions(-)

commit 291b01c80a76a70b8fa1a9cdf26b56ed882322d9
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Jun 15 23:17:21 2010 -0500

    Do not dist gir_DATA
    
    GIR files contain a shared-library attribute which varies per platform,
    and therefore must not be disted; see bug 621611 for rationale.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=621729

 plparse/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9907ccdf7c998d99785c19db2a76409aa2d5e9b9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 1 19:11:22 2010 +0100

    Add test case for missing PLS entries
    
    Add test case for the problem with missing PLS entries.

 plparse/tests/Makefile.am       |  3 +-
 plparse/tests/missing-items.pls | 80 +++++++++++++++++++++++++++++++++++++++++
 plparse/tests/parser.c          | 44 +++++++++++++++++++++++
 3 files changed, 126 insertions(+), 1 deletion(-)

commit 17bff27d807375c4cdfbc8bae0a9ac9b2cf1b3c6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 1 19:07:16 2010 +0100

    Fix small compile-time warning

 plparse/xplayer-pl-parser-pls.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f5c6405416ae14841e72828ba6220836395509bd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 1 18:49:33 2010 +0100

    Fix PLS parsing when some numbered entries are missing
    
    Fix missing entries when parsing a PLS file which has "holes"
    in its numbering.

 plparse/xplayer-pl-parser-pls.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 234749a7e9fe84aeec358a9958cb0d25975d5aed
Author: Adrian Bunk <adrian.bunk@movial.com>
Date:   Tue May 18 16:00:40 2010 +0300

    plparse/Makefile.am: Improve the rules for xplayerplparser-marshal.{c,h}
    
    Based on a suggestion by Christian Persch.
    
    This also fixes building with automake 1.9.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=618823

 plparse/Makefile.am | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 6924bdc1aa3818a07ae2444dee0f26beac37e73e
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Thu May 13 10:32:22 2010 +0200

    Remove -lz from Libs.private now that GZlibDecompressor is used instead of zlib

 xplayer-plparser-uninstalled.pc.in | 1 -
 xplayer-plparser.pc.in             | 1 -
 2 files changed, 2 deletions(-)

commit e4fbb2b8e49215ba9c06cc1d2e952c2eac8ca7ae
Author: Thomas Thurman <tthurman@gnome.org>
Date:   Wed May 12 18:41:06 2010 -0400

    Updated Shavian transliteration

 po/en@shaw.po | 25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

commit 2dc1c1eac49a8c30aee89041d7857243fd31eff4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 12 14:18:02 2010 +0100

    2.30.1

 NEWS         | 7 +++++++
 configure.in | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 9f73be4d36d873136da4ee5016758bdf4f9ca8df
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 12 14:17:14 2010 +0100

    Don't distribute generated marshal files
    
    Those are generated at build time. Fixes compilation from
    tarball after the builddir != srcdir fixes.

 plparse/Makefile.am | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit fdc62c90fcb5cc5519a17a9e2e61b93c2a108fd4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 12 14:16:45 2010 +0100

    Remove generated file from repository

 plparse/xplayer-pl-parser-builtins.c | 58 --------------------------------------
 1 file changed, 58 deletions(-)

commit 05efbbecdbf20d8bb87096661f45a705bd78c0f1
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Fri May 7 09:36:50 2010 +0100

    Fix building introspection when srcdir != builddir
    
    The Makefile.am snippets were making the assumption that all
    the files were in the srcdir, which isn't true for generated files
    with srcdir != builddir
    
    https://bugzilla.gnome.org/show_bug.cgi?id=617892

 plparse/Makefile.am | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

commit 9cfbff6598869ff46b5d7e064587df621cae0378
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Thu May 6 13:01:00 2010 +0200

    Remove now unneeded zlib configure check

 configure.in | 6 ------
 1 file changed, 6 deletions(-)

commit 09b2bae800f5505b65c055ce9fd2f8b8d5daf265
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 5 12:06:55 2010 +0100

    Fix returning FALSE with no error set in _save()
    
    When the playlist is empty, set an error mentioned why it failed,
    instead of failing silently and not setting the error.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=616538

 plparse/xplayer-pl-parser.c | 5 +++++
 plparse/xplayer-pl-parser.h | 4 +++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit d548b44d7dd8d943493288d3fab1a25b2f1f2797
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 5 11:54:30 2010 +0100

    Remove now-unneeded libz linking

 plparse/Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 71ab73dd80816243958f997460b68c81192f6341
Author: Christian Persch <chpe@gnome.org>
Date:   Wed May 5 01:40:37 2010 +0200

    Use GZlibDecompressor
    
    Untested!
    
    Bug #617664.

 configure.in                      |   2 +-
 plparse/xplayer-pl-parser-podcast.c | 180 +++++++++++++-------------------------
 2 files changed, 64 insertions(+), 118 deletions(-)

commit 5676ce6ffa59dd2b2e826b47f8de16f7ad83aad9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 5 00:55:24 2010 +0100

    Fix parsing when you aren't me

 plparse/tests/parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4787efebda1cd1a24fdbc9292498515c93c48632
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 5 00:51:13 2010 +0100

    Add missing test file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=617710

 plparse/tests/HackerMedley | 434 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 434 insertions(+)

commit 68b138e740fabb681b511037795b3ce75eeff273
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Tue May 4 19:00:00 2010 +0200

    Use AC_MSG_ERROR instead of AC_ERROR for the zlib check

 configure.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5d578de928eadeacc9ad24b2a9a5634491a4ab0b
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Tue May 4 17:43:17 2010 +0200

    Fix Requires/Libs of the pkg-config files to list everything required

 xplayer-plparser-mini-uninstalled.pc.in | 2 ++
 xplayer-plparser-mini.pc.in             | 2 ++
 xplayer-plparser-uninstalled.pc.in      | 4 +++-
 xplayer-plparser.pc.in                  | 4 +++-
 4 files changed, 10 insertions(+), 2 deletions(-)

commit bbd84a522acbcb1615485d48c44f78c4df72c5b2
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Tue May 4 17:43:05 2010 +0200

    Link the gtk-doc scanner with the correct libs

 docs/reference/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c99aa5efb2813e2f3616f0374910b941a859d010
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Tue May 4 17:42:53 2010 +0200

    Check for zlib and link with it

 configure.in        | 6 ++++++
 plparse/Makefile.am | 4 +---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit f80eee1a44ea72931e81a4c3e18eeb7b1b1ed0d0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 28 16:10:13 2010 +0100

    Fix crasher parsing hacker medley RSS feed
    
    From:
    https://bugzilla.redhat.com/show_bug.cgi?id=582850
    
    Parsing the RSS at http://feeds.feedburner.com/HackerMedley
    caused a crash because we weren't zero'ing the newly re-allocated
    buffer for the token parsing.

 plparse/xmllexer.c  | 13 +++++++++----
 plparse/xmlparser.c |  9 ++++++++-
 2 files changed, 17 insertions(+), 5 deletions(-)

commit efd94463b684dbb24a5f7ffee445a7eb5e8d1fae
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 28 16:09:42 2010 +0100

    Add test case for hacker medley RSS crasher

 plparse/tests/Makefile.am | 3 ++-
 plparse/tests/parser.c    | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 204ecf28d19ff2f2e39319cce084228d4a6b9552
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 21 10:42:25 2010 +0100

    Enable silent rules by default

 configure.in        | 3 +++
 plparse/Makefile.am | 8 ++++----
 2 files changed, 7 insertions(+), 4 deletions(-)

commit e477455fb75868970ba80584d2bf32b13fda215b
Author: Shixin Zeng <zeng.shixin@gmail.com>
Date:   Tue Apr 20 15:43:36 2010 -0500

    check for block devices only on non-win32 systems
    
    https://bugzilla.gnome.org/show_bug.cgi?id=575373

 plparse/xplayer-pl-parser.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0e03a4fc36870e2851fd63d03d28e0d7d86fd4d8
Author: Shixin Zeng <zeng.shixin@gmail.com>
Date:   Mon Apr 19 17:27:21 2010 -0500

    remove the unneeded unistd.h and fix compatibility for msvc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=575373

 plparse/xmlparser.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit a7d91e7129517a99beb589f557ce5de04923641f
Author: Shixin Zeng <zeng.shixin@gmail.com>
Date:   Mon Apr 19 17:22:09 2010 -0500

    utilize the variadic macro support in msvc newer than VS8
    
    https://bugzilla.gnome.org/show_bug.cgi?id=575373

 lib/xplayer_internal.h | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 145f8d281f5abfe22eac027f4e7186d9a4f0e52f
Author: Shixin Zeng <zeng.shixin@gmail.com>
Date:   Mon Apr 19 17:20:28 2010 -0500

    rename macro __MINGW32__ to _WIN32 to make it work with msvc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=575373

 lib/asprintf.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 30a4ecf2a5c86426154bf29793aa8ed668b651b6
Author: Shixin Zeng <zeng.shixin@gmail.com>
Date:   Mon Apr 19 17:19:29 2010 -0500

    fix includes for msvc
    
    https://bugzilla.gnome.org/show_bug.cgi?id=575373

 lib/asprintf.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit af70d2b18b0b4f8484e67bb5304e6907c65dc486
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Apr 14 14:39:06 2010 +0200

    Updated Slovenian translation

 po/sl.po | 127 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 63 insertions(+), 64 deletions(-)

commit 90ded2dc87ab703b7a052070c5e79842381571c5
Author: Shixin Zeng <zeng.shixin@gmail.com>
Date:   Sat Jan 16 22:31:34 2010 -0600

    move the variable delaration to begin of the block

 plparse/xmlparser.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e40a9f12efeb91f07197448f2e9276f2b6eccb01
Author: Shixin Zeng <zeng.shixin@gmail.com>
Date:   Mon Apr 12 13:11:54 2010 +0100

    Only include unistd.h if available

 plparse/tests/parser.c | 2 ++
 1 file changed, 2 insertions(+)

commit d270c7bd0b209ed6f4a2eac1b4c6ad660e6f0836
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Apr 12 14:23:34 2010 +0700

    Updated Indonesian translation by Dirgita

 po/id.po | 2524 +-------------------------------------------------------------
 1 file changed, 33 insertions(+), 2491 deletions(-)

commit a7bf30d568974c1523a41e05d07ec31cea5b25a8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 12 00:03:36 2010 +0100

    Allow dual-types to end up being "normal" playlists
    
    When we prod at a dual-type (in this case, a PHP file), fix the
    real parser in the special_types as well, not just in the dual-types.
    
    Fixes parsing PHP scripts that generate XSPF playlists, such as:
    http://startwars.org/dump/remote_xspf.php
    
    https://bugzilla.gnome.org/show_bug.cgi?id=590722

 plparse/tests/Makefile.am     |   3 +-
 plparse/tests/parser.c        |  12 +++++
 plparse/tests/remote_xspf.php | 116 ++++++++++++++++++++++++++++++++++++++++++
 plparse/xplayer-pl-parser.c     |  45 ++++++++++------
 4 files changed, 160 insertions(+), 16 deletions(-)

commit 916df6eb174a4cefc925d5786ee90cb295048bfe
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Apr 11 22:51:22 2010 +0100

    Fix use of the wrong iterator in loop

 plparse/xplayer-pl-parser.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 12316e257478b6e144186427eb92b0c1ab2d1c42
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 7 17:55:07 2010 +0100

    Fix parsing of dual-types after sniffing
    
    After getting the data type of a playlist through the actual data,
    we should check again if it matches the parser we want to use,
    otherwise we'll end up trying to parse video files that were
    masquerading as dual-type playlists.
    
    Test file included
    
    https://bugzilla.gnome.org/show_bug.cgi?id=610471

 plparse/tests/Makefile.am             |   3 ++-
 plparse/tests/asf-with-asx-suffix.asx | Bin 0 -> 94230 bytes
 plparse/tests/parser.c                |  12 ++++++++++++
 plparse/xplayer-pl-parser.c             |  19 +++++++++++++++++++
 4 files changed, 33 insertions(+), 1 deletion(-)

commit ae5a941de79d336bd73448d1ddcd58fb614c1a85
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 29 17:03:12 2010 +0100

    2.30.0
    
    Fix compilation with gmime-2.6

 NEWS         |  3 +++
 configure.in | 16 +++++++++++-----
 2 files changed, 14 insertions(+), 5 deletions(-)

commit 3fef2e542acf828166b48da350c10ac61f5ae96b
Author: Petr Kovar <pknbe@volny.cz>
Date:   Mon Mar 29 17:36:10 2010 +0200

    Fix Czech translation by Lucas Lommer

 po/cs.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 704f511eb70a761f08e96879d891b68a6fd57948
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Sun Mar 28 02:36:07 2010 +0600

    Updated Bengali translation

 po/bn.po | 27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

commit f3fae5a646b99b29e9bfa2b96654d54eebc4843c
Author: Badral Sanligiin <badral@openmn.org>
Date:   Tue Mar 23 02:48:49 2010 +0100

    Updated Mongolian translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 5b2850ba5111f4abd98a1284798e4632ea49967d
Author: Badral Sanligiin <badral@openmn.org>
Date:   Tue Mar 23 02:47:00 2010 +0100

    Updated Mongolian translation

 po/mn.po | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

commit a5478993b447ea9127b824050934fa3432999c23
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 15 16:32:29 2010 +0000

    2.29.92

 NEWS                      | 6 ++++++
 configure.in              | 2 +-
 plparse/tests/Makefile.am | 3 ++-
 3 files changed, 9 insertions(+), 2 deletions(-)

commit 5caf28a38a2c04ba7fe9f9c9827641d0b8a1dd31
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun Mar 7 23:24:07 2010 +0000

    Bug 612142 — Unneeded 'DBUS_REQS=0.61' in configure.in
    
    Remove unused DBUS_REQS variable from configure.in. Closes: bgo#612142

 configure.in | 1 -
 1 file changed, 1 deletion(-)

commit 8cd60a46cc802a16e05fdc3556802a11c6623efe
Author: Edward Hervey <bilboed@bilboed.com>
Date:   Sun Mar 7 11:30:28 2010 +0100

    directories: Don't leak open files.
    
    The GFileEnumerator wasn't properly closed/unreferenced, causing the fd for
    the directories to be left opened.
    When opening very big media collections, we would end up being out of fd.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=612067

 plparse/xplayer-pl-parser-media.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 58be46c568c9fb582ca8f99c1cbed31d450eec6c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 2 16:50:58 2010 +0000

    Fix parsing of pukas.wax
    
    The playlist-started signal would happen after we parsed the first
    entry, which means that Rhythmbox would be ignoring it.
    
    Reported at:
    http://thread.gmane.org/gmane.comp.gnome.apps.rhythmbox.devel/10810

 plparse/tests/parser.c       | 58 ++++++++++++++++++++++++++++++++++++++++++++
 plparse/tests/pukas.wax      | 15 ++++++++++++
 plparse/xplayer-pl-parser-wm.c |  9 ++++++-
 3 files changed, 81 insertions(+), 1 deletion(-)

commit 13930a90705d7fe490dcf0fd63c9161c27870a07
Author: Torstein Adolf Winterseth <kvikende@yahoo.no>
Date:   Sat Feb 27 12:59:17 2010 +0100

    Updated Norwegian Nynorsk translation

 po/nn.po | 66 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 32 insertions(+), 34 deletions(-)

commit 6fa9df809f52d0dcf44f052b012cd8ba42f9ad01
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 25 13:57:05 2010 +0100

    Updated Polish translation

 po/pl.po | 442 ++-------------------------------------------------------------
 1 file changed, 12 insertions(+), 430 deletions(-)

commit 50b25fb3c135ccb9befca1dac6dacdfc63bb4495
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:   Mon Feb 15 17:30:13 2010 +0100

    Updated Galician Translation

 po/gl.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 6fbda63e1126c58943b78729e3a9934f031396da
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 8 18:23:49 2010 +0000

    Fix parsing of Guardian Podcasts
    
    As available from:
    http://www.guardian.co.uk/media/series/media-talk-usa/rss

 plparse/xplayer-pl-parser-podcast.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit b187641f8802a5e619e229516041ca23d9d329c0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 27 17:55:02 2010 +0000

    Some gtk-doc fixes
    
    Thanks for Stefan Kost for his help

 docs/reference/Makefile.am                  | 2 +-
 docs/reference/xplayer-pl-parser-docs.xml     | 1 +
 docs/reference/xplayer-pl-parser-sections.txt | 7 +++++++
 3 files changed, 9 insertions(+), 1 deletion(-)

commit bb7be07cb259b1f81ddf07a5d2126358b3999c7a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 27 15:08:24 2010 +0000

    Remove stray MODULES.types file

 docs/reference/MODULE.types | 3 ---
 1 file changed, 3 deletions(-)

commit 2d51c9ad64a0b4b6504d99e2f29716701bcf0c6b
Author: Didier Roche <didrocks@ubuntu.com>
Date:   Wed Jan 27 11:38:57 2010 +0100

    Fix gir and typelib file version when generated
    
    https://bugzilla.gnome.org/show_bug.cgi?id=608176

 plparse/Makefile.am | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 14cce633d3759bd74ac349ca0cf8c7190beed8c5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 26 11:07:39 2010 +0000

    2.29.1

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 481ea77597bb83934d0ea9c6c6d9b855ad29be04
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 26 11:05:23 2010 +0000

    gtk-doc fixes

 plparse/xplayer-pl-parser.c   |  2 +-
 plparse/xplayer-pl-playlist.c | 13 +++++++++++++
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 5a0d8853141a21fb2a512747776ca2cc253714e4
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Fri Jan 22 13:13:20 2010 +0600

    Updated Bengali translation

 po/bn.po | 2843 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 1157 insertions(+), 1686 deletions(-)

commit b4526013b5f89c55ec9f8aae02bf1479286be57e
Author: Ivan Frade <ivan.frade@nokia.com>
Date:   Tue Jan 19 20:35:32 2010 +0200

    Remove duplicated lines in unit-tests makefile
    
    Removed also definition of EXTRA_DIST

 Makefile.decl | 217 ----------------------------------------------------------
 1 file changed, 217 deletions(-)

commit 168293fe0f26a79fd0a42e9c693a16798f7a69d8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 8 17:30:59 2010 +0000

    Add more metadata to the XSPF playlist saving
    
    https://bugzilla.gnome.org/show_bug.cgi?id=551393

 plparse/xplayer-pl-parser-xspf.c | 66 ++++++++++++++++++++++++++++++------------
 1 file changed, 47 insertions(+), 19 deletions(-)

commit 4ee3fbc5cfe266858a950820bd23befc3518aab4
Author: Andre Klapper <a9016009@gmx.de>
Date:   Fri Jan 8 16:42:39 2010 +0100

    Remove deprecated Glib symbols
    
    Replace g_mount_unmount_finish() with g_mount_unmount_with_operation_finish()
    and g_mount_unmount() with g_mount_unmount_with_operation()
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=602550

 plparse/xplayer-disc.c | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

commit f79a344775f8e28218ddc508abaeefda4917a1ad
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 8 16:22:44 2010 +0000

    But require Gio for introspection

 plparse/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b2121242e8c83f4282a5252c79c4308c4111e180
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 8 16:15:48 2010 +0000

    Don't depend on Gtk+ anymore for the introspection data

 plparse/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 021dfcad928e088d5cd2c68548fffe0bf19ce949
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 8 13:55:32 2010 +0000

    Bump version for recent GTK+ dep drop

 configure.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 01ded1197b0553ecb0685ef180e35c053a504b8e
Author: Carlos Garnacho <carlos@lanedo.com>
Date:   Fri Dec 18 14:25:57 2009 +0100

    Remove GTK+ dependency.
    
    XplayerPlPlaylist has been added to replace GtkTreeModel usage in the
    write API, internal playlist implementations now use this to get
    songs/titles in order to write the playlist. Older write API has been
    replaced by xplayer_pl_parser_save().

 configure.in                                |   2 +-
 docs/reference/xplayer-pl-parser-docs.xml     |   1 +
 docs/reference/xplayer-pl-parser-sections.txt |  32 +-
 docs/reference/xplayer-pl-parser.types        |   1 +
 plparse/Makefile.am                         |   7 +-
 plparse/plparser.symbols                    |  18 +-
 plparse/xplayer-pl-parser-lines.c             |  41 ++-
 plparse/xplayer-pl-parser-lines.h             |  13 +-
 plparse/xplayer-pl-parser-media.c             |   3 +-
 plparse/xplayer-pl-parser-misc.c              |   2 +-
 plparse/xplayer-pl-parser-pla.c               |  50 +--
 plparse/xplayer-pl-parser-pla.h               |   8 +-
 plparse/xplayer-pl-parser-pls.c               | 107 +++---
 plparse/xplayer-pl-parser-pls.h               |   6 +-
 plparse/xplayer-pl-parser-podcast.c           |   2 +-
 plparse/xplayer-pl-parser-private.h           |   8 +-
 plparse/xplayer-pl-parser-qt.c                |   2 +-
 plparse/xplayer-pl-parser-smil.c              |   2 +-
 plparse/xplayer-pl-parser-wm.c                |   2 +-
 plparse/xplayer-pl-parser-xspf.c              |  58 +--
 plparse/xplayer-pl-parser-xspf.h              |  15 +-
 plparse/xplayer-pl-parser.c                   | 195 +++++-----
 plparse/xplayer-pl-parser.h                   |  43 +--
 plparse/xplayer-pl-playlist.c                 | 533 ++++++++++++++++++++++++++++
 plparse/xplayer-pl-playlist.h                 | 100 ++++++
 xplayer-plparser-uninstalled.pc.in            |   1 -
 xplayer-plparser.pc.in                        |   1 -
 27 files changed, 954 insertions(+), 299 deletions(-)

commit 49ee29f128687c8b23febfe3fdbfa3db20866556
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 8 13:43:21 2010 +0000

    Fix ms translation

 po/ms.po | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 785068e61e196087346b0f5956393f5935fd0326
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jan 8 13:11:29 2010 +0000

    Enable maintainer mode by default

 configure.in | 1 +
 1 file changed, 1 insertion(+)

commit 929b7f0c76077c220b114a5cdecceb6968a895f2
Author: Xandru Armesto Fernandez <xandru@softastur.org>
Date:   Thu Jan 7 19:35:21 2010 +0100

    Updated asturian translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 2e465fecdbc7d9683b7d8acb70b3b76f012a0f47
Author: Xandru Armesto Fernandez <xandru@softastur.org>
Date:   Thu Jan 7 19:35:13 2010 +0100

    Updated asturian translation

 po/ast.po | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

commit c49a1bb8c6f939cd7dc4ef47be40f59d1e5c1089
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jan 4 16:51:40 2010 +0000

    Fix documentation section references
    
    Fix ID collision between two sections which were both trying to call
    themselves "XplayerPlParser". This stops the irritating stream of warnings from
    gtk-doc when building.

 plparse/xplayer-pl-parser.h | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 067ef7123e389f071758712717c175c42c9af820
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Mon Jan 4 16:43:27 2010 +0000

    Add gtk-doc support for introspection annotations

 docs/reference/xplayer-pl-parser-docs.xml | 4 ++++
 1 file changed, 4 insertions(+)

commit fa45f9b86eb1523e1ee981c6a2aeb28b0230bab5
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jan 2 00:26:32 2010 +0000

    Bug 555848 — Add introspection support
    
    Add complete introspection support to xplayer-pl-parser, including enough
    annotations to ensure the GIR file is accurate. Closes: bgo#555848

 Makefile.am               |  4 ++-
 autogen.sh                |  1 +
 configure.in              |  3 ++-
 plparse/Makefile.am       | 69 +++++++++++++++++++++++++++++++++++++----------
 plparse/xplayer-disc.c      |  4 +--
 plparse/xplayer-pl-parser.c | 12 ++++-----
 plparse/xplayer-pl-parser.h |  6 ++---
 7 files changed, 72 insertions(+), 27 deletions(-)

commit fc603d2f98802ae20f4902f2b1dd589b891595b6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Dec 14 10:53:20 2009 +0000

    Use g_strstr_len() instead of GNU extension memmem

 plparse/xplayer-pl-parser.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit a8efeafbe2591dff240821655ce3be13ef1c9d8a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 11 12:26:50 2009 +0000

    2.28.2

 NEWS         | 10 ++++++++++
 configure.in |  4 ++--
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 2561ef51dcaf98f8aa28c36f153d7653f25c658d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 11 12:26:23 2009 +0000

    Make tests work under distcheck
    
    With builddir != srcdir. Make sure to include test files
    in the distribution as well.

 plparse/tests/Makefile.am | 12 ++++++++-
 plparse/tests/parser.c    | 64 +++++++++++++++++++++++++++++++++++++++--------
 2 files changed, 65 insertions(+), 11 deletions(-)

commit 9af596a08abc387e7f4b3f187ed63d36eed27eaa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 4 15:18:40 2009 +0000

    Add test case for bug 585407

 plparse/tests/585407.rss | 838 +++++++++++++++++++++++++++++++++++++++++++++++
 plparse/tests/parser.c   |   9 +
 2 files changed, 847 insertions(+)

commit 5e76577f299436cac38260012db37fb1fe475484
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 4 15:18:04 2009 +0000

    Don't zero comments that start withing CDATA
    
    Fixed parsing of http://www.davidco.com/podcast.php
    
    https://bugzilla.gnome.org/show_bug.cgi?id=585407

 plparse/xplayer-pl-parser.c | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit 7f6b568668e0381a95f6a9227b85c44abc293ee3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 4 14:59:10 2009 +0000

    Make erasing comments from XML files slightly faster

 plparse/xplayer-pl-parser.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fe01f1bbcbbc67dbfe5d9b702314f3868c892bba
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 4 14:24:55 2009 +0000

    Add test for bug 594036

 plparse/tests/live-streaming.m3u | 5 +++++
 plparse/tests/parser.c           | 9 +++++++++
 2 files changed, 14 insertions(+)

commit 9cec1603cbd7991ef1eb23679acc74fdfce36f12
Author: Matt Kraai <kraai@ftbfs.org>
Date:   Thu Dec 3 00:48:55 2009 -0800

    Make xplayer-pl-parser thread-safe
    
    https://bugzilla.gnome.org/show_bug.cgi?id=572705

 plparse/xplayer-pl-parser.c |  15 +++-
 plparse/xmllexer.c        | 215 +++++++++++++++++++++++++++-------------------
 plparse/xmllexer.h        |  24 +++++-
 plparse/xmlparser.c       | 194 ++++++++++++++++++++++++++++++++++-------
 plparse/xmlparser.h       |  25 ++++--
 5 files changed, 344 insertions(+), 129 deletions(-)

commit 1dd2ca4bad26d6dc1e5944457e601dbf3845ec28
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 4 13:26:47 2009 +0000

    Add test case for single line RTSPText files

 plparse/tests/parser.c        | 11 +++++++++--
 plparse/tests/single-line.qtl |  1 +
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 458d240f55ca971b4e23db7ce2ad626808bb1a4b
Author: Simon Pecher <simon.pecher@googlemail.com>
Date:   Fri Dec 4 13:24:51 2009 +0000

    Fix parsing of multi-line RTSPtext files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=602127

 plparse/xplayer-pl-parser-qt.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0410d8f1dbc9be8d8ad1e09cac4ef17d5099adeb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 4 13:24:21 2009 +0000

    Add test case for bug 602127

 plparse/tests/602127.qtl |  2 ++
 plparse/tests/parser.c   | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

commit f7d9a0528d1eef380b7d0ebc181e327c90854450
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 4 13:15:19 2009 +0000

    Make "make check" pass by adding a doc

 docs/reference/xplayer-pl-parser-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit 8751b19ec4795f23042a2861b43dc6cd2d2aa037
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 4 13:12:17 2009 +0000

    Update tests to be current

 plparse/tests/parser.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit e973149872b20a899c3b0a2651b19a970d9d3818
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 4 13:11:59 2009 +0000

    Fix parsing of RSS feeds being detected as HTML files

 plparse/xplayer-pl-parser.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e78f18f1402a441e638f5b69aa798db1eba41223
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 30 12:00:08 2009 +0000

    Add support for subtitle URIs in SMIL playlists
    
    https://bugzilla.gnome.org/show_bug.cgi?id=603359

 plparse/xplayer-pl-parser-smil.c | 119 +++++++++++++++++++++++++++++++----------
 plparse/xplayer-pl-parser.c      |   4 ++
 plparse/xplayer-pl-parser.h      |   6 +++
 3 files changed, 100 insertions(+), 29 deletions(-)

commit 6a68766bf79f2e7574c23fb05925661dff203483
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Mon Nov 30 09:32:26 2009 +0100

    Include gio/gio.h in xplayer-pl-parser.h for GCancellable and friends
    
    gtk/gtk.h only includes gio/gio.h since 2.16 but xplayer-pl-parser
    works with older GTK+ too.

 plparse/xplayer-pl-parser.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c15e74f7cca406a28e18e94e092b545d199f0ea
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Nov 28 15:38:09 2009 +0100

    Fixed plural form for nepali and uighur translations

 po/ne.po | 2 +-
 po/ug.po | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit beb8e2d116e4131a3830204d9f006bc7afa964ab
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:   Sat Nov 28 15:22:12 2009 +0100

    Deleted obsolete file

 po/nds_NFE.po | 49 -------------------------------------------------
 1 file changed, 49 deletions(-)

commit 20d09dfb0d1c0a699a31f8e76c53f3cd1e7cf789
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:   Sat Nov 28 15:02:26 2009 +0100

    Cleared obsolete file

 po/nds_NFE.po | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 37cd28ea1dc8b691161b6fced22a05782af81f00
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 26 18:22:53 2009 +0000

    Fix getting a DVD title from remote directories

 plparse/xplayer-pl-parser-media.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit cb381ad89e9d001e70ae6ca4918d831ac55609ee
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 26 18:22:20 2009 +0000

    Fix non-ASCII strings being used in the tests programs

 plparse/tests/disc.c   | 3 +++
 plparse/tests/parser.c | 2 ++
 2 files changed, 5 insertions(+)

commit 0cf4e6e5d027033f5f85cc2512140baf77120d94
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 26 17:57:08 2009 +0000

    Fix ISO DVD detection from remote shares
    
    And make sure we only umount archives that we mounted
    ourselves.

 plparse/xplayer-disc.c | 25 ++++++++++++++-----------
 1 file changed, 14 insertions(+), 11 deletions(-)

commit a74d316cfbf814d899f9b7ec9f24748c9d08be2e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Nov 21 14:19:14 2009 +0000

    Fix small memleak when printing descriptions in test parser

 plparse/tests/parser.c | 1 +
 1 file changed, 1 insertion(+)

commit 30da5f759b398fa9fcbd5378ab298d25424a26f3
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:   Wed Nov 18 13:33:49 2009 +0200

    Updated Latvian translation.

 po/lv.po | 2611 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 1061 insertions(+), 1550 deletions(-)

commit 0562803bbe9c1aa08f761d86bcd206f13507befd
Author: Thomas Thurman <tthurman@gnome.org>
Date:   Sun Nov 1 14:42:42 2009 -0500

    Shavian translation

 po/LINGUAS    |  1 +
 po/en@shaw.po | 44 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

commit f2f4b85e1d7233dde1f2ecd45bd2b8afd820f320
Author: Nils-Christoph Fiedler <linux@medienkompanie.de>
Date:   Thu Oct 22 20:04:54 2009 +0200

    Updated Low German translation

 po/nds.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 89295306e1e7f7f6a616a1bf049e943ee12c8b47
Author: Anna Jonna Ármannsdóttir <annajonna@gmail.com>
Date:   Fri Oct 16 04:58:27 2009 +0000

    Updated Icelandic translation

 po/is.po | 34 +++++++++-------------------------
 1 file changed, 9 insertions(+), 25 deletions(-)

commit c3de91b3f04b87f5126ef2c7cd817a27a8d73176
Author: Anna Jonna Ármannsdóttir <annajonna@gmail.com>
Date:   Fri Oct 2 06:01:50 2009 +0000

    Updated Icelandic translation

 po/is.po | 57 +++++++++++++++++++--------------------------------------
 1 file changed, 19 insertions(+), 38 deletions(-)

commit 0ca6bbabbc1cefb8e1bd978155c5334faeaea60d
Author: Anna Jonna Ármannsdóttir <annajonna@gmail.com>
Date:   Fri Oct 2 05:41:54 2009 +0000

    Updated Icelandic translation

 po/is.po | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit 25a7d6754e988ce029cbf1151a32996dec8dc7f6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 29 16:14:07 2009 +0100

    2.28.1

 NEWS         | 4 ++++
 configure.in | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 1c6dc284ba809ccd398c35bb20654da16ab39520
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 24 19:31:39 2009 +0100

    Only ever ignore files that we can discover as text/plain
    
    Otherwise we'd be ignoring files for which we don't have magic,
    which seems to happen a lot for MPEG-4 files, and their ever-growing
    ftypes.

 plparse/xplayer-pl-parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d20acca930c0c0cc844798d7057c2a784e06869
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 17 15:51:23 2009 +0100

    Remove unused variable in PLS parser
    
    https://bugzilla.gnome.org/show_bug.cgi?id=595471

 plparse/xplayer-pl-parser-pls.c | 2 --
 1 file changed, 2 deletions(-)

commit ff46f8db0ca329616838c70f1a009fd7628f8754
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 17 15:49:36 2009 +0100

    You can't get a logo in atom:entry
    
    https://bugzilla.gnome.org/show_bug.cgi?id=595471

 plparse/xplayer-pl-parser-podcast.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 04db71f49d05b9beccd0c360993d3fd050e7ad7f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 17 15:39:51 2009 +0100

    Fix retval of the PLA parser
    
    https://bugzilla.gnome.org/show_bug.cgi?id=595471

 plparse/xplayer-pl-parser-pla.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b83ac49f4d1b45ee59209c0a5afb16b1dce0d1c9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 17 15:36:05 2009 +0100

    Remove useless assignment
    
    https://bugzilla.gnome.org/show_bug.cgi?id=595471

 plparse/xplayer-disc.c | 1 -
 1 file changed, 1 deletion(-)

commit 5a5c6a52ab87fe5f204b865e4bba65c908bd8988
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 17 15:33:44 2009 +0100

    Remove unused num_entries variable from PLA writer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=595471

 plparse/xplayer-pl-parser-pla.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 57de94db5b11d2aa12af139782a107ecf3d57c71
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 17 15:32:45 2009 +0100

    Use g_mapped_file_unref() instead of _free()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=595471

 configure.in              | 2 +-
 plparse/xplayer-pl-parser.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 181e6836e0ef2905097486844c21b0c0280fbf6d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 17 15:31:40 2009 +0100

    Remove unused title variable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=595471

 plparse/xplayer-pl-parser.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3a9df5f8ca6400fe29060e249761ca2997bed79f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 17 15:28:56 2009 +0100

    Also export the contact from RSS feeds
    
    https://bugzilla.gnome.org/show_bug.cgi?id=595471

 plparse/xplayer-pl-parser-podcast.c | 1 +
 1 file changed, 1 insertion(+)

commit 4744d6b524fee2efafdb51f8742f9f79ecf40576
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 17 15:27:30 2009 +0100

    Fix dead assignment in OPML parsing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=595471

 plparse/xplayer-pl-parser-podcast.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit de101c1d651e70fe9a5ca076697ebd222a36819b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 17 15:25:39 2009 +0100

    Remove unused variable in xspf writer code
    
    https://bugzilla.gnome.org/show_bug.cgi?id=595471

 plparse/xplayer-pl-parser-xspf.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 853deec5fad8f62dce1a48faf2dd8ec58422c7d8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 21 11:48:35 2009 +0100

    2.28.0

 NEWS         | 3 +++
 configure.in | 4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 4749b1bcf0a970ba9513c2f775de30e726ba6bcc
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Sat Sep 19 00:18:52 2009 +0530

    maithili update, translated by Sangeeta Kumari

 po/LINGUAS |  1 +
 po/mai.po  | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

commit e1e4312858338b2986ed7c9d9481ed3d5c43c480
Author: Niels-Christoph Fiedler <linux@medienkompanie.de>
Date:   Wed Sep 16 18:34:30 2009 +0200

    Updated German translation

 po/nds.po | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 00bcb0a88eed507ef76b3e7f60c24040400be526
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 15 11:43:15 2009 +0100

    2.27.92

 NEWS         | 7 +++++++
 configure.in | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 98306f2c26730eb13dd0aff756f016a8d38429c3
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon Sep 14 13:34:01 2009 +0200

    Added Catalan (Valencian) translation

 po/LINGUAS        |    1 +
 po/ca@valencia.po | 2285 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2286 insertions(+)

commit 48d16f11075ca66797afca1cc9f7732c3b924379
Author: Ani <peter.ani@gmail.com>
Date:   Sat Sep 12 00:28:29 2009 +0530

    Updaeted Malayalam Translations

 po/ml.po | 49 ++++++++++++++++++++++++-------------------------
 1 file changed, 24 insertions(+), 25 deletions(-)

commit 5dc6aab52715eb0af2717f71db28ddd25ea48189
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Fri Sep 11 21:06:33 2009 +0530

    Updated Telugu Translations

 po/te.po | 1712 +-------------------------------------------------------------
 1 file changed, 28 insertions(+), 1684 deletions(-)

commit ea311e53b7732761c63fe3931445fe062086a2f8
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Thu Sep 10 13:14:38 2009 +0530

    hindi update by Rajesh Ranjan

 po/hi.po | 1993 ++------------------------------------------------------------
 1 file changed, 33 insertions(+), 1960 deletions(-)

commit a2bb4aa0ca85d2bc1204e8d6ef5ec528dca6c717
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   Sun Sep 6 17:15:16 2009 +0000

    Updated Serbian translation

 po/sr.po       | 77 ++++++++++++++--------------------------------------------
 po/sr@latin.po | 77 ++++++++++++++--------------------------------------------
 2 files changed, 36 insertions(+), 118 deletions(-)

commit 0e1ba4bf1e37e669ac5144a381cc0cf61d1620e4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 2 18:21:53 2009 +0100

    When asking for a URI, give back a URI
    
    We ask for a URI, and ended up getting a local path for the
    mountpoint. Fixes playing data mounts from Xplayer's Movie menu.

 plparse/xplayer-disc.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 908ec9f43d9a0e3762870c0efa5726ade211645f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 2 18:18:26 2009 +0100

    Don't assert testing for data discs

 plparse/tests/disc.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit c181d77bf5bbdacb987324a5aa8a7debf27eb897
Author: Og B. Maciel <ogmaciel@gnome.org>
Date:   Sun Aug 30 12:11:44 2009 -0400

    Updated mailing list address.

 po/pt_BR.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9967efe5b3d08065cd128b2a39dd797c11572985
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Aug 27 14:06:42 2009 +0300

    Updated Arabic translation

 po/ar.po | 35 +++++++++++++++++------------------
 1 file changed, 17 insertions(+), 18 deletions(-)

commit bc1ba1d815791761558b555485f0adba36fe9a5e
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Tue Aug 25 04:40:33 2009 +0200

    Updated breton translation

 po/br.po | 1754 +-------------------------------------------------------------
 1 file changed, 22 insertions(+), 1732 deletions(-)

commit f399fbba900d136d9995259bee047e571724370d
Author: Andre Klapper <a9016009@gmx.de>
Date:   Mon Aug 24 22:52:17 2009 +0200

    Change nds_NFE to nds as discussed on irc

 po/LINGUAS |  2 +-
 po/nds.po  | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 1 deletion(-)

commit d36c1f85b24046f2033f979b768bbbbc87c7f590
Author: Nils-Christoph Fiedler <linux@medienkompanie.de>
Date:   Sat Aug 22 21:25:07 2009 +0200

    Added Low German translation

 po/LINGUAS    |  1 +
 po/nds_NFE.po | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

commit 98ef363bfe224e5d68b2d5068c9a3f16df3369b1
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Fri Jul 31 20:01:14 2009 +0100

    Bug 590389 – plparse/tests/parser is broken
    
    Change how signals are emitted from the playlist parsing process so they're
    once more emitted synchronously when we're parsing synchronously, and in
    idle callbacks when we're parsing asynchronously. This solves the awkward
    problem of all the XplayerPlParser::entry-parsed signals being emitted after
    a call to a synchronous parse function had returned. Closes: bgo#590389

 plparse/xplayer-pl-parser-private.h | 26 ++++++++++++++++++++++++++
 plparse/xplayer-pl-parser.c         |  6 ++++--
 2 files changed, 30 insertions(+), 2 deletions(-)

commit 73db4d176c48deec762dc042befab4b0a4bda5ab
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jul 31 17:36:09 2009 +0100

    Bug 584312 – Xplayer does not ignore text files when adding to queue
    
    Ignore dual-types that are still text/plain after data check.
    Before that, this only happened if we didn't have data for the
    file yet, but we're certain we do now, so we can gently ignore.

 plparse/xplayer-pl-parser.c | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit 12b5111cfdd3e8b0dc94b0ba448d43615e49de9d
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Wed Jul 29 17:48:42 2009 -0600

    Updated Irish translation

 po/ga.po | 51 ++++++++++++++++-----------------------------------
 1 file changed, 16 insertions(+), 35 deletions(-)

commit d09c0d0518557cd50681aa0d528bcdd1fd4b1b80
Author: Iestyn Pryce <dylunio@gmail.com>
Date:   Mon Jul 27 10:03:56 2009 +0200

    Updated Welsh translation.

 po/cy.po | 1928 +-------------------------------------------------------------
 1 file changed, 19 insertions(+), 1909 deletions(-)

commit e293a5f5db5ca5634a0d42927d547e401112ee04
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jul 24 01:48:33 2009 +0100

    Set uselibcamel correctly
    
    We still use gmime, but we keep the name "uselibcamel", as
    that's what Rhythmbox' configure uses too.

 xplayer-plparser.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 44411d9b71d3d7a6ef11700ecb41e309c3d58092
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 23 21:19:32 2009 +0100

    Bug 574780 – Speed up PLS parsing
    
    Speed up PLS parsing by using a hashtable to store and lookup
    the data. Original patch by Ivan Frade <ivan.frade@nokia.com>

 plparse/xplayer-pl-parser-pls.c | 72 ++++++++++++++++++++++++-------------------
 1 file changed, 41 insertions(+), 31 deletions(-)

commit 50dd9e2beb9927d0864721e67e5bfbfe0c632e17
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 23 21:03:00 2009 +0100

    Update gitignore

 .gitignore | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit eba233110aca33f3f20a7e9e44be3408ab5227e9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 23 20:45:42 2009 +0100

    Use git to generate the ChangeLog

 ChangeLog            | 1434 --------------------------------------------------
 ChangeLog.pre-2.27.2 | 1434 ++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am          |   11 +
 3 files changed, 1445 insertions(+), 1434 deletions(-)

commit 91d41f0130fbb62449d6c076b1f342621110061a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 23 20:32:38 2009 +0100

    2.27.2

 ChangeLog    | 9 ++++++++-
 NEWS         | 6 ++++++
 configure.in | 2 +-
 3 files changed, 15 insertions(+), 2 deletions(-)

commit 66b793e39ce012d08ba184b6438d5cb58f364c04
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 23 20:18:45 2009 +0100

    Fix substitution in pkg-config file
    
    2009-07-23  Bastien Nocera  <hadess@hadess.net>
    
    	* configure.in: Fix substitution in pkg-config file,
    	spotted by Philip

 ChangeLog    | 5 +++++
 configure.in | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 687be91aefe701d0d28211a73644e3b609a166af
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 23 20:02:28 2009 +0100

    Use GMime instead of libcamel for dates parsing
    
    2009-07-23  Bastien Nocera  <hadess@hadess.net>
    
    	* README:
    	* configure.in:
    	* plparse/xplayer-pl-parser-podcast.c (xplayer_pl_parser_add_rss),
    	(xplayer_pl_parser_add_itpc), (xplayer_pl_parser_add_zune),
    	(xplayer_pl_parser_add_atom), (xplayer_pl_parser_add_xml_feed),
    	(xplayer_pl_parser_add_itms), (xplayer_pl_parser_add_opml):
    	* plparse/xplayer-pl-parser-podcast.h:
    	* plparse/xplayer-pl-parser.c (xplayer_pl_parser_parse_date):
    	* xplayer-plparser-uninstalled.pc.in:
    	* xplayer-plparser.pc.in: Use GMime instead of libcamel
    	for dates parsing. Hopefully good enough for people to
    	stop shipping crippled versions of xplayer-pl-parser

 ChangeLog                         | 15 +++++++++++
 README                            |  1 +
 configure.in                      | 52 +++++++++++++++++++--------------------
 plparse/xplayer-pl-parser-podcast.c | 42 +++++++++++++++----------------
 plparse/xplayer-pl-parser-podcast.h |  8 +++---
 plparse/xplayer-pl-parser.c         | 12 ++++-----
 xplayer-plparser-uninstalled.pc.in  |  2 +-
 xplayer-plparser.pc.in              |  2 +-
 8 files changed, 75 insertions(+), 59 deletions(-)

commit aa5ce8f3b1deeef1f44c39bb1d528b991f924336
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 23 19:57:12 2009 +0100

    Add more debug when a parse error happens
    
    2009-07-23  Bastien Nocera  <hadess@hadess.net>
    
    	* plparse/tests/parser.c (test_data_get_data), (test_parsability):
    	Add more debug when a parse error happens

 ChangeLog              | 5 +++++
 plparse/tests/parser.c | 9 ++++++---
 2 files changed, 11 insertions(+), 3 deletions(-)
